<?php
session_start();
require_once '../include/libs/admin.php';
class add_client extends admin{
	public function __construct(){
		$permissions = array('PERMISSION_ADD_CLIENT');
		parent::__construct($permissions);
	}
	public function Process(){
		if(isset($_POST['submit'])){
			/**
			*
			* This error checking will be moved to the API instead of this file
			* 
			*
			*/
			$CheckEmailAddress = "<nixbill>
				<command>CheckEmailAddress</command> 
				<hash>".$this->GetAPIHash()."</hash>
				<emails>";
				$CheckEmailAddress.= "<email>".CleanInput($_POST['email1'], 'text')."</email>";
				if(strlen($_POST['email2'])>5){
				$CheckEmailAddress.= "<email>".CleanInput($_POST['email2'], 'text')."</email>";
				}
			$CheckEmailAddress.= "	</emails>
			</nixbill>";
			
			$result = API($CheckEmailAddress);
			if($result['NIXBILL'][0]['RESULT'][0]['AVAILABLE'][0]['VALUE'] ==0){
				adminerror('Email '.CleanInput($_POST['email1'], 'text').' not available');
				exit;
			}
			if(strlen($_POST['email2'])>5){
				if($result['NIXBILL'][0]['RESULT'][1]['AVAILABLE'][0]['VALUE'] ==0){
					adminerror('Email '.CleanInput($_POST['email2'], 'text').' not available');
					exit;
				}
			}
			$CreateClient = '<nixbill>
				<command>CreateClient</command>
				<type>xml</type>
				<clientdetails>
					<clientid></clientid>
					<firstname>'.CleanInput($_POST['fname'], 'text').'</firstname>
					<lastname>'.CleanInput($_POST['lname'], 'text').'</lastname>
					<username>'.CleanInput($_POST['username'], 'text').'</username>
					<email1>'.CleanInput($_POST['email1'], 'text').'</email1>
					<email2>'.CleanInput($_POST['email2'], 'text').'</email2>
					<address1>'.CleanInput($_POST['address1'], 'text').'</address1>
					<address2>'.CleanInput($_POST['address2'], 'text').'</address2>
					<city>'.CleanInput($_POST['city'], 'text').'</city>
					<state>'.CleanInput($_POST['state'], 'text').'</state>
					<zipcode>'.CleanInput($_POST['zipcode'], 'text').'</zipcode>
					<country>'.CleanInput($_POST['country'], 'text').'</country>
					<phone1>'.CleanInput($_POST['phone1'], 'text').'</phone1>
					<phone2>'.CleanInput($_POST['phone2'], 'text').'</phone2>
					<company>'.CleanInput($_POST['company'], 'text').'</company>
					<companyid>'.CleanInput($_POST['companyid'], 'text').'</companyid>
					<cardnumber>'.CleanInput($_POST['cardnumber'], 'text').'</cardnumber>
					<firstnameoncard>'.CleanInput($_POST['firstnameoncard'], 'text').'</firstnameoncard>
					<lastnameoncard>'.CleanInput($_POST['lastnameoncard'], 'text').'</lastnameoncard>
					<carddate>'.CleanInput($_POST['expiration'], 'text').'</carddate>
					<cardtype>'.CleanInput($_POST['cardtype'], 'text').'</cardtype>
					
					<password>'.CleanInput($_POST['password'], 'text').'</password>
					<paymenttype>'.CleanInput($_POST[''], 'text').'</paymenttype>
					<language>'./*.CleanInput($_POST[''], 'text').*/'en</language>
					<status>'.CleanInput($_POST['status'], 'text').'</status>
					<sendemail>'.CleanInput($_POST['sendemail'], 'text').'</sendemail>
				</clientdetails>
			</nixbill>';
			$result = $this->API($CreateClient);
			$clientid = $result['NIXBILL'][0]['RESULT'][0]['CLIENTID'][0]['VALUE'];
			if($clientid >0){
				header("Location: edit_client.php?id=".$clientid);
			}else{
				//$this->Error('Client not created');
			}
			//exit;

		}
		
		$companies = $this->GetAllCompanies();
		$this->AddTemplateVar('companies', $companies);
		$this->Display('add_client.tpl');
	}
}

$go = new add_client();
$go->Process();
?>
