<?php
session_start();
require_once '../include/libs/admin.php';
class clients extends admin{
	public function __construct(){
		$permissions = array('PERMISSION_LIST_CLIENTS');
		parent::__construct($permissions);
	}
	public function Process(){

		if(!isset($_GET['status'])){
			$statusList = 'a';
		}else{
			$statusList = CleanInput($_GET['status'], 'numeric');
		}
		if($_POST['searchfor']){
			$clients = GetClients(CleanInput($_GET['page'], 'numeric'), 20, $statusList, CleanInput($_POST['searchfor'], 'text'));
		}else{
			$clients = GetClients(CleanInput($_GET['page'], 'numeric'), 20, $statusList);
		}
		$status_display = array(LANG_SHOW_ALL, LANG_STATUS_NEW, LANG_STATUS_ACTIVE, LANG_STATUS_INACTIVE, LANG_STATUS_CANCELED, LANG_STATUS_DELETED, LANG_STATUS_FRAUD);
		$status_value = array('a', 0, 1, 2, 3, 4, 11);
		$this->AddTemplateVar('selected', CleanInput($_GET['status'], 'numeric'));
		$this->AddTemplateVar('status_display', $status_display);
		$this->AddTemplateVar('status_value', $status_value);
		$this->AddTemplateVar('clients', $clients);
		$this->AddTemplateVar('totalRows', $clients[0]['totalrows']);
		$this->AddTemplateVar('prevlink', $clients[0]['prevlink']);
		$this->AddTemplateVar('nextlink', $clients[0]['nextlink']);
		$submenu = array('add_client.php' => 'LANG_ADD_CLIENT', 'advancedsearch.php' => 'LANG_ADVANCEDSEARCH');
		$this->AddTemplateVar('submenu', $submenu);
		$this->Display('clients.tpl');
	}
}
$go = new clients();
$go->Process();
?>