<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_EDIT_COUPON' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		if(empty($_REQUEST['couponid'])){
			$this->AddError('No Coupon ID');
		}
		$couponid = CleanInput($_REQUEST['couponid'],'numeric');
		/**
		 * Update coupon to product relations
		 */

		if (! empty ( $_POST ['updaterelations'] )) {
			db::Query( "DELETE FROM couponrelations WHERE couponid = '" . $couponid . "'" );
			$this->AddTemplateVar ( 'updated', 'Updated' );
			if (is_array ( $_POST ['list'] )) {
				foreach ( $_POST ['list'] as $ev ) {
					db::Insert( "INSERT INTO couponrelations (`couponid`, `productid`)VALUES
									('" . $couponid . "', '" . CleanInput($ev,'numeric') . "')" );
				}
			}
		}
		/**
		 * Update coupon
		 */
		if (isset ( $_POST ['submit'] )) {
			$updatecoupunxml = '<nixbill>
		<command>UpdateCoupon</command> 
		<couponid>' . $couponid . '</couponid>
		<amount>' . CleanInput ( $_POST ['amount'], 'number' ) . '</amount>
		<count>' . CleanInput ( $_POST ['count'], 'numeric' ) . '</count>
		<maxcount>' . CleanInput ( $_POST ['maxcount'], 'numeric' ) . '</maxcount>
		<status>' . CleanInput ( $_POST ['status'], 'numeric' ) . '</status>
		<code>' . CleanInput ( $_POST ['code'], 'text' ) . '</code>
		<type>' . CleanInput ( $_POST ['type'], 'text' ) . '</type>
		<cycles>' . CleanInput ( $_POST ['cycles'], 'numeric' ) . '</cycles>
	</nixbill>';
			$this->API ( $updatecoupunxml );
		}
		$getcoupon = '<nixbill>
	<command>GetCoupon</command> 
	<couponid>' . $couponid . '</couponid>
</nixbill>
';
		$coupon = $this->API ( $getcoupon );
		$coupondata = $coupon ['NIXBILL'] [0] ['RESULT'] [0] ['COUPON'];
		$status_display = array (LANG_STATUS_ACTIVE, LANG_STATUS_INACTIVE );
		$status_value = array (1, 2 );
		$this->AddTemplateVar ( 'couponselected', $coupondata [0] ['STATUS'] [0] ['VALUE'] );
		$this->AddTemplateVar ( 'couponvalue', $status_display );
		$this->AddTemplateVar ( 'couponsid', $status_value );
		$coupondata [0] ['STATUS'] [0] ['VALUE'] = GetStatusName ( $coupondata [0] ['STATUS'] [0] ['VALUE'] );
		$this->AddTemplateVar ( 'coupondata', $coupondata );
		$typeid = array ('p', 't' );
		$typevalue = array ('Percent', 'Total' );
		$typeselected = $coupondata [0] ['TYPE'] [0] ['VALUE'];
		$this->AddTemplateVar ( 'typeid', $typeid );
		$this->AddTemplateVar ( 'typevalue', $typevalue );
		$this->AddTemplateVar ( 'typeselected', $typeselected );
		/**
		 *
		 * Sortable
		 *
		 */
		
		$list = db::GetAllRows ( "SELECT * FROM products WHERE type !='4' AND type !='2'" );
		foreach ( $list as $item ) {
			$result = db::GetNumRows( "SELECT * FROM couponrelations WHERE couponid = '" . $couponid . "' AND productid = '" . $item ['id'] . "' LIMIT 1" );
			if ($result == 1) {
				$attached [] = array ('name' => $item ['name'], 'id' => $item ['id'] );
			} else {
				$detached [] = array ('name' => $item ['name'], 'id' => $item ['id'] );
			}
		}
		if (is_array ( $attached )) {
			ksort ( $attached );
		}
		$sortable ['attached'] = $attached;
		$sortable ['detached'] = $detached;
		$sortable ['formaction'] = 'edit_coupon.php?couponid=' . $couponid;
		$this->AddTemplateVar ( 'sortable', $sortable );
		
		$submenu = array ('add_coupon.php' => 'LANG_ADD_COUPON' );
		$this->AddTemplateVar ( 'submenu', $submenu );
		
		$this->Display ( 'edit_coupon.tpl' );
	
	}
}
$go = new adminpage ( );
$go->Process ();
?>