<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_EDIT_INVOICE' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		$getinvoice = '<nixbill>
	<command>GetInvoice</command> 
	<invoiceid>' . CleanInput($_GET ['invoiceid'], 'numeric') . '</invoiceid>
</nixbill>
';
		$invoice = $this->API ( $getinvoice );
		$invoicedata = $invoice ['NIXBILL'] [0] ['RESULT'] [0] ['INVOICE'];
		$invoicedata [0] ['PAYPALLINK'] [0] ['VALUE'] = base64_decode ( $invoicedata [0] ['PAYPALLINK'] [0] ['VALUE'] );
		if ($invoicedata [0] ['STATUS'] [0] ['VALUE'] != 7 && $invoicedata [0] ['STATUS'] [0] ['VALUE'] != 15) {
			$this->AddTemplateVar ( 'showupdates', '1' );
		}
		$invoicedata [0] ['STATUS'] [0] ['VALUE'] = GetStatusName($invoicedata [0] ['STATUS'] [0] ['VALUE']);
		$invoicedata [0] ['DUE'] [0] ['VALUE'] = date ( "F j, Y, g:i a", $invoicedata [0] ['DUE'] [0] ['VALUE'] );
		$this->AddTemplateVar ( 'invoicedata', $invoicedata );
		$lineitems = $invoice ['NIXBILL'] [0] ['RESULT'] [0] ['INVOICE'] [0] ['LINEITEMS'] [0] ['LINEITEM'];
		$this->AddTemplateVar ( 'lineitems', $lineitems );
		$clientid = $invoice ['NIXBILL'] [0] ['RESULT'] [0] ['INVOICE'] [0] ['CLIENTID'] [0] ['VALUE'];
		$clientdata = client_details ( $clientid );
		$this->AddTemplateVar ( 'client', $clientdata );
		$this->AddTemplateVar ( 'invoice', $invoice );
		$this->Display ( 'edit_invoice.tpl' );
	}
}
$go = new adminpage ( );
$go->Process ();
?>