<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_EDIT_PAYMENT_MODULE' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		if (! empty ( $_POST ['submit'] )) {
			$xmlcall = '<nixbill>
				<command>UpdatePaymentModule</command> 
				<module>
				<modulename>' . CleanInput ( $_POST ['OPTION_name'], 'text' ) . '</modulename>
				<moduleid>' . CleanInput ( $_POST ['moduleid'], 'numeric' ) . '</moduleid>';
			foreach ( $_POST as $k => $v ) {
				if (preg_match ( '/^OPTION_/', $k )) {
					$xmlcall .= '<' . $k . '>' . CleanInput ( $v, 'text' ) . '</' . $k . '>';
				}
			}
			$xmlcall .= '</module>
				</nixbill>';
			$this->API ( $xmlcall );
		}
		$xmlcall = '<nixbill>
				<command>GetPaymentModule</command> 
				<moduleid>' . CleanInput ( $_REQUEST ['moduleid'], 'numeric' ) . '</moduleid>
				</nixbill>';
		$module_information = $this->API ( $xmlcall );
		
		$this->AddTemplateVar ( 'MODULE_name', $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['NAME'] [0] ['VALUE'] );
		$this->AddTemplateVar ( 'MODULE_id', $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['MODULEID'] [0] ['VALUE'] );
		$this->AddTemplateVar ( 'MODULE_type', $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['OPTIONS'] [0] ['OPTION_TYPE'] [0] ['VALUE'] );
		//$smarty->assign('SERVER_testing', $module_information['NIXBILL'][0]['RESULT'][0]['TESTING'][0]['VALUE']);
		if (is_array ( $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['OPTIONS'] [0] )) {
			foreach ( $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['OPTIONS'] [0] as $k => $v ) {
				//print_r($k);
				//print_r($v);
				if (! preg_match ( '/^OPTION_NAME$/', $k )) {
					if (! preg_match ( '/OPTION_TYPE/', $k )) {
						$module [$k] = $v [0] ['VALUE'];
					}
				}
			}
		}
		
		require_once path ( 'paymentmodules/' . $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['OPTIONS'] [0] ['OPTION_TYPE'] [0] ['VALUE'] . '.php' );
		$classname = $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['OPTIONS'] [0] ['OPTION_TYPE'] [0] ['VALUE'];
		$module = new $classname ( );
		$options = $module->ModuleOptions ();
		$this->AddTemplateVar ( 'options', $options );
		foreach ( $options as $ok => $ov ) {
			$key = 'OPTION_' . strtoupper ( $options [$ok] ['name'] );
			if ($options [$ok] ['formtype'] == 'select') {
				//$options[$ok]['selected'] = $module_information['NIXBILL'][0]['RESULT'][0]['OPTIONS'][0][$key][0]['VALUE'];
				//$options[$ok]['value'] = $ov['value'];
				foreach ( $ov ['value'] as $k => $v ) {
					$options [$ok] ['select_values'] [] = $k;
					$options [$ok] ['select_names'] [] = $v;
					$options [$ok] ['selected'] = $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['OPTIONS'] [0] [$key] [0] ['VALUE'];
				}
			} else {
				$options [$ok] ['value'] = $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['OPTIONS'] [0] [$key] [0] ['VALUE'];
			}
		}
		$this->AddTemplateVar ( 'options', $options );
		$submenu = array ('payment_modules.php' => 'LANG_PAYMENT_MODULES' );		
		$this->AddTemplateVar ( 'submenu', $submenu );
		$this->Display ( 'edit_payment_module.tpl' );
	}
}
$go = new adminpage ( );
$go->Process ();
?>