<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_EDIT_PRODUCT_MODULE' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		if (! empty ( $_POST ['submit'] )) {
			$xmlcall2 = '<nixbill>
				<command>UpdateProductModule</command> 
				<module>
				<moduleid>' . CleanInput($_REQUEST ['moduleid'],'numeric') . '</moduleid>
				<productid>' . CleanInput($_REQUEST ['productid'],'numeric') . '</productid>';
			foreach ( $_POST as $k => $v ) {
				if (preg_match ( '/^OPTION_/', $k )) {
					$xmlcall2 .= '<' . $k . '>' . CleanInput($v,'text') . '</' . $k . '>';
				}
			}
			$xmlcall2 .= '</module>
				</nixbill>';
			$this->API ( $xmlcall2 );
		}
		$xmlcall = '<nixbill>
				<command>GetProductModule</command> 
				<productmoduleid>' . CleanInput ( $_REQUEST ['productmoduleid'], 'numeric' ) . '</productmoduleid>
				
				</nixbill>';
		$module_information = $this->API ( $xmlcall );
		$this->AddTemplateVar ( 'SERVER_name', $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['NAME'] [0] ['VALUE'] );
		$this->AddTemplateVar ( 'productmoduleid', CleanInput ( $_REQUEST ['productmoduleid'], 'numeric' ) );
		$this->AddTemplateVar ( 'productid', CleanInput ( $_REQUEST ['productid'], 'numeric' ) );
		$servertype = getservertype ( $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['MODULES'] [0] ['MODULE'] [0] ['SERVERID'] [0] ['VALUE'] );
		$producttype = getProductTypeById ( CleanInput($_REQUEST ['productid'],'numeric') );
		$this->AddTemplateVar ( 'serverid', $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['MODULES'] [0] ['MODULE'] [0] ['SERVERID'] [0] ['VALUE'] );
		$this->AddTemplateVar ( 'moduleid', $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['MODULES'] [0] ['MODULE'] [0] ['MODULEID'] [0] ['VALUE'] );
		switch ( $producttype) {
			case 1 :
				require_once path ( 'hostingmodules/' . $servertype . '.php' );
				$classname = $servertype;
				$module = new $classname ( );
				$module->serverid = $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['MODULES'] [0] ['MODULE'] [0] ['SERVERID'] [0] ['VALUE'];
				$options = $module->ProductOptions ();
			break;
			case 2 :
				require_once path ( 'tldmodules/' . $servertype . '.php' );
				$classname = $servertype;
				$module = new $classname ( );
				$module->serverid = $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['MODULES'] [0] ['MODULE'] [0] ['SERVERID'] [0] ['VALUE'];
				$options = $module->TldOptions ();
			break;
		}
		foreach ( $options as $ok => $ov ) {
			$key = 'OPTION_' . strtoupper ( $options [$ok] ['name'] );
			if ($options [$ok] ['formtype'] == 'select') {
				foreach ( $ov ['value'] as $k => $v ) {
					$options [$ok] ['select_values'] [] = $k;
					$options [$ok] ['select_names'] [] = $v;
					$options [$ok] ['selected'] = $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['MODULES'] [0] ['MODULE'] [0] ['OPTIONS'] [0] [$key] [0] ['VALUE'];
				}
			} else {
				$options [$ok] ['value'] = $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['MODULES'] [0] ['MODULE'] [0] ['OPTIONS'] [0] [$key] [0] ['VALUE'];
			}
		}
		$this->AddTemplateVar ( 'options', $options );
		$this->Display ( 'edit_product_module.tpl' );
	}
}
$go = new adminpage ( );
$go->Process ();
?>