<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_EDIT_TLD_MODULE' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		
		if (! empty ( $_POST ['submit'] )) {
			$xmlcall = '<nixbill>
				<command>UpdateHostingModule</command> 
				<server>
				<servername>' . CleanInput ( $_POST ['name'], 'text' ) . '</servername>
				<serverid>' . CleanInput ( $_POST ['moduleid'], 'numeric' ) . '</serverid>';
			foreach ( $_POST as $k => $v ) {
				if (preg_match ( '/^SERVER_/', $k )) {
					$xmlcall .= '<' . $k . '>' . CleanInput ( $v, 'text' ) . '</' . $k . '>';
				}
			}
			$xmlcall .= '</server>
				</nixbill>';
			$this->API ( $xmlcall );
		}
		$xmlcall = '<nixbill>
				<command>GetHostingModule</command> 
				<serverid>' . CleanInput ( $_REQUEST ['moduleid'], 'numeric' ) . '</serverid>
				</nixbill>';
		$module_information = $this->API ( $xmlcall );
		$this->AddTemplateVar ( 'SERVER_name', $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['NAME'] [0] ['VALUE'] );
		$this->AddTemplateVar ( 'SERVER_id', $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['SERVERID'] [0] ['VALUE'] );
		$this->AddTemplateVar ( 'SERVER_type', $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['TYPE'] [0] ['VALUE'] );
		if (is_array ( $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['OPTIONS'] [0] )) {
			foreach ( $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['OPTIONS'] [0] as $k => $v ) {
				if (! preg_match ( '/^SERVER_NAME$/', $k )) {
					if (! preg_match ( '/SERVER_TYPE/', $k )) {
						$module [$k] = $v [0] ['VALUE'];
					}
				}
			}
		}
		
		require_once path ( 'tldmodules/' . $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['TYPE'] [0] ['VALUE'] . '.php' );
		$classname = $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['TYPE'] [0] ['VALUE'];
		$module = new $classname ( );
		$options = $module->ServerOptions ();
		$this->AddTemplateVar ( 'options', $options );
		foreach ( $options as $ok => $ov ) {
			$key = 'SERVER_' . strtoupper ( $options [$ok] ['name'] );
			if ($options [$ok] ['formtype'] == 'select') {
				foreach ( $ov ['value'] as $k => $v ) {
					$options [$ok] ['select_values'] [] = $k;
					$options [$ok] ['select_names'] [] = $v;
					$options [$ok] ['selected'] = $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['OPTIONS'] [0] [$key] [0] ['VALUE'];
				}
			} else {
				$options [$ok] ['value'] = $module_information ['NIXBILL'] [0] ['RESULT'] [0] ['OPTIONS'] [0] [$key] [0] ['VALUE'];
			}
		}
		$this->AddTemplateVar ( 'options', $options );
		$submenu = array ('tld_modules.php' => 'LANG_TLD_MODULES', 'hosting_module_logs.php?serverid=' . $_REQUEST ['moduleid'] => 'LANG_MODULELOGS' );
		$this->AddTemplateVar ( 'submenu', $submenu );
		$this->Display ( 'edit_tld_module.tpl' );
	}
}
$go = new adminpage ( );
$go->Process ();
?>