<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_REPORT_INCOME' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		
		$paid = db::GetOneRow ( "SELECT SUM(total) FROM invoices WHERE status = '7' " );
		$totalpaid = $paid ['SUM(total)'];
		$this->AddTemplateVar ( 'totalpaid', number_format ( $totalpaid, 2 ) );
		
		$due = db::GetOneRow ( "SELECT SUM(total) FROM invoices WHERE status = '8' || status = '0' " );
		$totaldue = $due ['SUM(total)'];
		$this->AddTemplateVar ( 'totaldue', number_format ( $totaldue, 2 ) );
		
		$pastdue = db::GetOneRow ( "SELECT SUM(total) FROM invoices WHERE status = '17' " );
		$totalpastdue = $pastdue ['SUM(total)'];
		$this->AddTemplateVar ( 'totalpastdue', number_format ( $totalpastdue, 2 ) );
		
		$markedpaid = db::GetOneRow  ( "SELECT SUM(total) FROM invoices WHERE status = '12' " );
		$totalmarkedpaid = $markedpaid ['SUM(total)'];
		$this->AddTemplateVar ( 'totalmarkedpaid', number_format ( $totalmarkedpaid, 2 ) );
		
		$refunded = db::GetOneRow  ( "SELECT SUM(total) FROM invoices WHERE status = '14' " );
		$totalrefunded = $refunded ['SUM(total)'];
		$this->AddTemplateVar ( 'totalrefunded', number_format ( $totalrefunded, 2 ) );
		$this->Display ( 'income_reports.tpl' );
	
	}
}
$go = new adminpage ( );
$go->Process ();
?>