<?php
session_start ();
set_time_limit ( 0 );
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_SHOW_PACKAGES' );
		parent::__construct ( $permissions );
	}
	
	public function Process() {
		if ($_REQUEST ['settime'] == '1') {
			$starttime = mktime ( 0, 0, 0, ( int ) $_REQUEST ['StartDateMonth'], ( int ) $_REQUEST ['StartDateDay'], ( int ) $_REQUEST ['StartDateYear'] );
			$endtime = mktime ( 0, 0, 0, ( int ) $_REQUEST ['EndDateMonth'], ( int ) $_REQUEST ['EndDateDay'], ( int ) $_REQUEST ['EndDateYear'] );
			$this->AddTemplateVar ( 'starttime', $starttime );
			$this->AddTemplateVar ( 'endtime', $endtime );
			$this->AddTemplateVar ( 'timechecked', 'checked="checked"' );
		}
		$page = ( int ) $_GET ['page'];
		$sortby = CleanInput ( $_REQUEST ['sortby'], 'text' );
		$this->AddTemplateVar ( 'sortby', $sortby );
		$this->AddTemplateVar ( 'sortvalue', ( int ) $_REQUEST ['sortvalue'] );
		$values = array ('all', 'productid', 'producttype', 'clientid'  );
		$options = array ('Show All', 'Product Id', 'Product Type', 'Client Id'  );
		$this->AddTemplateVar ( 'sortvalues', $values );
		$this->AddTemplateVar ( 'sortoptions', $options );
		$getpackagelist = '<nixbill>
    <command>RenewalReport</command> 
    <sort>' . $sortby . '</sort>
    <sortid>' . ( int ) $_REQUEST ['sortvalue'] . '</sortid>
    <starttime>' . $starttime . '</starttime>
    <endtime>' . $endtime . '</endtime>
    <page>' . $page . '</page>
    <status>'.(int)$_REQUEST['status'].'</status>
</nixbill>';
		
		$packagelist = $this->API ( $getpackagelist );
		
		foreach ( $packagelist ['NIXBILL'] [0] ['RESULT'] [0] ['SORTED'] [0] ['SORT'] [0] ['PACKAGE'] [0] ['ID'] as $package ) {
			//echo $package['VALUE'];
			$p = PackageInformation ( $package ['VALUE'] );
			$p ['renew'] = FormatDate ( $p ['renew'] );
			$packages [] = $p;
		}
		$totalpages = $packagelist['NIXBILL'] [0] ['RESULT'] [0] ['PAGEINATION'] [0] ['ATTRIBUTES'] ['TOTALPAGES'];
		$currentpage = $packagelist['NIXBILL'] [0] ['RESULT'] [0] ['PAGEINATION'] [0] ['ATTRIBUTES'] ['CURRENTPAGE'];
		
		$pageinateLinks = $this->PaginateLinks($currentpage, $totalpages);
		$this->AddTemplateVar ( 'pageinateLinks', $pageinateLinks );
		$this->AddTemplateVar ( 'packages', $packages );
		/*$clientdata = client_details ( $this->ClientId );
		$this->AddTemplateVar ( 'client', $clientdata );*/
		
		$this->Display ( 'packages.tpl' );
	}
}
$go = new adminpage ( );
$go->Process ();
?>