<?php
session_start();
require_once '../include/libs/admin.php';
class system_info extends admin{
	public function __construct(){
		$permissions = array('PERMISSION_EDIT_SYSTEMINFO');
		parent::__construct($permissions);
	}
	public function Process(){
		if(isset($_POST['submit'])){
			db::Query("UPDATE `system` SET 
			`invoicerenewtime` = '".(int)$_POST['invoicerenewtime']."', 
			`suspensiontime` = '".(int)$_POST['suspensiontime']."', 
			`debug` = '".(int)$_POST['debug']."',
			`mailtype` = '".CleanInput($_POST['mailtype'], 'text')."',
			`smtpsecure` = '".CleanInput($_POST['smtpsecure'], 'text')."',
			`smtphost` = '".CleanInput($_POST['smtphost'], 'text')."',
			`smtpport` = '".CleanInput($_POST['smtpport'], 'text')."',
			`smtpusername` = '".CleanInput($_POST['smtpusername'], 'text')."',
			`smtppassword` = '".CleanInput($_POST['smtppassword'], 'text')."', 
			`encryptionmodule` = '".(int)$_POST['encryptionmoduleid']."', 
			`debugque` = '".(int)$_POST['debugque']."' WHERE id = '1'"); 
		}
		$base = new base();
		$systeminfo = GetSystemInformation();
		if($systeminfo['timelimit'] ==1){
			$systeminfo['timelimit'] = 'Never';
		}else{
			$systeminfo['timelimit'] =  date("F j, Y, g:i a", $systeminfo['timelimit']); 
		}
		$systeminfo['now'] =  date("F j, Y, H:i"); 
		$clients = db::GetNumRows("SELECT id FROM clients");
		$hash = db::GetOneRow("SELECT apihash FROM admins WHERE id = '1'");
		$this->AddTemplateVar('hash',$hash['apihash']);
		$systeminfo['clients'] = $clients;
		$this->AddTemplateVar('systeminfo', $systeminfo);
		$this->AddTemplateVar('expiretime', $this->TimeLimit);
		$this->AddTemplateVar('clientlimit', $this->ClientLimit);
		$vals = array(0,1);
		$names = array('No','Yes');
		$this->AddTemplateVar('debugvals', $vals);
		$this->AddTemplateVar('debugnames', $names);
		$mailtypenames = array('PHP Mail', 'SendMail', 'SMTP');
		$mailtypevals = array('php','sendmail','smtp');
		$this->AddTemplateVar('mailtypevals', $mailtypevals);
		$this->AddTemplateVar('mailtypenames', $mailtypenames);
		$encmodules = db::GetAllRows("SELECT * FROM encryptionmodules");
		foreach($encmodules as $e){
			$encnames[] = $e['name'];
			$encvals[] = $e['id'];
		}
		$this->AddTemplateVar('encryptionmodules', $encmodules);
		$this->AddTemplateVar('encryptionmodulevals', $encvals);
		$this->AddTemplateVar('encryptionmodulenames', $encnames);
		$this->Display('system_info.tpl');

	}
}
$go = new system_info();
$go->Process();

?>