<!-- start HEAD -->

{include file='admin_head.tpl' title='Dash Board'}
<!-- end HEAD -->
<!-- extra head, anything that needs to be in the HEAD section can go here -->
<!-- end extra head -->
<!-- start header -->
{include file='admin_header.tpl'}
<!-- end header -->
<!-- start content -->
{include file='sub_menu.tpl'}
{include file='full_box.tpl' title='New Clients'}
<table class="full_box_table" border="0" cellspacing="1" cellpadding="1">
  <thead>
    <tr>
      <td>ID</td>
      <td>{$smarty.const.LANG_COUNTRY}</td>
      <td>{$smarty.const.LANG_EMAIL1}</td>
      <td>{$smarty.const.LANG_FRAUD_SCORE}</td>
      <td>{$smarty.const.LANG_APPROVE}</td>
      <td>{$smarty.const.LANG_DENY}</td>
      <td>{$smarty.const.LANG_FRAUD}</td>
    </tr>
  </thead>
  {if $clients|@count >0}
  {foreach from=$clients item=c}
  <tr class="{cycle values="even,odd"}">
    <td><a href="edit_client.php?id={$c.ID.0.VALUE}">{$c.ID.0.VALUE}</a></td>
    <td><img src="flag.php?3letter={$c.COUNTRY.0.VALUE}" alt="{$c.COUNTRY.0.VALUE}" /></td>
    <td>{$c.EMAIL.0.VALUE}</td>
    <td>{$c.FRAUDSCORE.0.VALUE}</td>
    <td><!--<input type="button" class="button" value="{$smarty.const.LANG_APPROVE}" onclick="approve({$c.ID.0.VALUE})" />--><a onclick="approve({$c.ID.0.VALUE})" href="javascript:void(0)">{$smarty.const.LANG_APPROVE}</a></td>
    <td><!--<input type="button" class="button" value="{$smarty.const.LANG_DENY}" onclick="deny({$c.ID.0.VALUE})" />--><a onclick="deny({$c.ID.0.VALUE})" href="javascript:void(0)">{$smarty.const.LANG_DENY}</a></td>
    <td><!--<input type="button" class="button" value="{$smarty.const.LANG_FRAUD}" onclick="fraud({$c.ID.0.VALUE})" />--><a onclick="fraud({$c.ID.0.VALUE})" href="javascript:void(0)">{$smarty.const.LANG_FRAUD}</a></td>
  </tr>
  {/foreach}
  {else}
  <td colspan="6">No New Clients</td>
    {/if}
</table>
{include file='box_end.tpl'}     
{if $errors|@count >0}
{include file='half_box.tpl' title='Error Log'}
<div class="overflow_box">
<table class="half_box_table" width="100%" border="0" cellspacing="1" cellpadding="1">
  <thead>
    <tr>
      <td>ID</td>
      <td>{$smarty.const.LANG_PACKAGEID}</td>
      <!-- <td>{$smarty.const.LANG_EDIT}</td>-->
    </tr>
  </thead>
  {foreach from=$errors item=c}
  <tr class="{cycle values="even,odd"}">
    <td><a href="edit_error.php?errorid={$c.ID.0.VALUE}">{$c.ID.0.VALUE}</a></td>
    <td><a href="edit_package.php?packageid={$c.PACKAGEID.0.VALUE}">{$c.PACKAGEID.0.VALUE}</a></td>
    <!--<td><a href="edit_error.php?errorid={$c.ID.0.VALUE}">{$c.ID.0.VALUE}</a></td>-->
  </tr>
  {/foreach}
</table>
</div>
{include file='box_end.tpl'} 
{/if}
{if $tickets|@count >0}
{include file='half_box.tpl' title='Tickets <a href="view_tickets.php">View All</a>'}
<div class="overflow_box">
<table class="half_box_table" width="100%" border="0" cellspacing="1" cellpadding="1">
  <thead>
    <tr>
      <td>ID</td>
      <td>Client</td>
      <td>{$smarty.const.LANG_DEPARTMENT}</td>
      <td>{$smarty.const.LANG_EDIT}</td>
    </tr>
  </thead>
  {foreach from=$tickets item=c}
  <tr class="{cycle values="even,odd"}">
    <td><a href="edit_ticket.php?ticketid={$c.ID.0.VALUE}">{$c.ID.0.VALUE}</a></td>
    <td><a href="edit_client.php?id={$c.CLIENTID.0.VALUE}">{$c.CLIENTID.0.VALUE}</a></td>
    <td>{$c.DEPARTMENT.0.VALUE}</td>
    <td><a href="edit_ticket.php?ticketid={$c.ID.0.VALUE}">View</a></td>
  </tr>
  {/foreach}
</table>
</div>
{include file='box_end.tpl'} 
   
{/if}
<br style="clear:both" />
{if $qc|@count >0}  
{include file='full_box.tpl' title='Notices'}
<div class="overflow_box">
  <table width="100%" border="0" cellspacing="1" cellpadding="1">
    <thead>
      <tr>
        <td>{$smarty.const.LANG_MESSAGE}</td>
        <td>{$smarty.const.LANG_DISMISS}</td>
      </tr>
    </thead>
    {foreach from=$qc item=c}
    <tr class="{cycle values="even,odd"}">
      <td>{$c.message}</td>
      <td><a onclick="dismisstodo('{$c.id}')"  href="javascript:void(0)">{$smarty.const.LANG_DISMISS}</a></td>
    </tr>
    {/foreach}
  </table>
</div>
{include file='box_end.tpl'}
{/if}

{if $nixbillupdates|@count >0}  
{include file='full_box.tpl' title='NixBill Updates'}
<div class="overflow_box">
  <table width="100%" border="0" cellspacing="1" cellpadding="1">
    
    {foreach from=$nixbillupdates item=c}
    <tr class="{cycle values="even,odd"}">
      <td><a target="_blank" href="{$c.link}">{$c.message}</a></td>
    </tr>
    {/foreach}
  </table>
</div>
{include file='box_end.tpl'}
{/if}
<!-- end content -->
<!-- start footer -->
{include file='admin_footer.tpl'}
<!-- end footer -->
