<?php
session_start ();
require_once '../include/libs/client.php';
class add_billingaccount extends client {
	public function __construct() {
		parent::__construct ();
	}
	public function Process() {
		
		$invoiceid = CleanInput ( $_GET ['invoiceid'], 'numeric' );
		$getinvoice = '<nixbill>
	<command>GetInvoice</command> 
	<invoiceid>' . $invoiceid . '</invoiceid>
	<clientid>' . $this->ClientId . '</clientid>
</nixbill>
';
		$invoice = $this->API ( $getinvoice );
		
		$invoicedata = $invoice ['NIXBILL'] [0] ['RESULT'] [0] ['INVOICE'];
		if (empty ( $invoicedata [0] ['STATUS'] [0] ['VALUE'] )) {
			$this->AddError ( 'Invoice ID not found' );
		}
		$invoicedata [0] ['PAYPALLINK'] [0] ['VALUE'] = base64_decode ( $invoicedata [0] ['PAYPALLINK'] [0] ['VALUE'] );
		if ($invoicedata [0] ['STATUS'] [0] ['VALUE'] == 7 || $invoicedata [0] ['STATUS'] [0] ['VALUE'] == 15) {
		
		} else {
			$this->AddTemplateVar ( 'showupdates', '1' );
		}
		if ($invoicedata [0] ['STATUS'] [0] ['VALUE'] == 7 || $invoicedata [0] ['STATUS'] [0] ['VALUE'] == 15) {
			$paid = true;
		}
		$invoicedata [0] ['STATUS'] [0] ['VALUE'] = GetStatusName ( $invoicedata [0] ['STATUS'] [0] ['VALUE'] );
		$invoiceduedate = $invoicedata [0] ['DUE'] [0] ['VALUE'];
		if ($paid) {
			$invoicedata [0] ['PAYPALLINK'] [0] ['VALUE'] = '';
			$invoicedata [0] ['DUE'] [0] ['VALUE'] = '-';
		} else {
			if ($invoicedata [0] ['DUE'] [0] ['VALUE'] > 1000) {
				$invoicedata [0] ['DUE'] [0] ['VALUE'] = date ( "F j, Y, g:i a", $invoicedata [0] ['DUE'] [0] ['VALUE'] );
			} else {
				$invoicedata [0] ['DUE'] [0] ['VALUE'] = 'Now';
			}
		}
		$lineitems = $invoice ['NIXBILL'] [0] ['RESULT'] [0] ['INVOICE'] [0] ['LINEITEMS'] [0] ['LINEITEM'];
		if (isset ( $_REQUEST ['downloadinvoice'] )) {
			require_once '../include/dompdf/dompdf_config.inc.php';
			$html = '
<html>
<head>
<style>



</style>
</head>

<body>
';
			$html .= '<table width="550" border="0" cellspacing="0" cellpadding="2">
  <tr>
    <td width="338">';
			if ($invoicedata [0] ['AMOUNTPAID'] [0] ['VALUE'] >= $invoicedata [0] ['TOTAL'] [0] ['VALUE']) {
				$html .= '<b><font color="#FF0000">Invoice Paid</font></b>';
			} else {
				$html .= '<b><font color="#FF0000">Invoice Due: ' . FormatDate ( $invoiceduedate ) . '</font></b>';
			}
			$html .= '</td>
    <td width="198">Invoice ID:' . $invoiceid . '</td>
  </tr>
</table>
<br />
<br />
<table width="550" border="0" cellspacing="0" cellpadding="2">
  <tr>
    <td valign="top" width="338"><p>' . $this->ClientDetails ['fname'] . ' ' . $this->ClientDetails ['lname'] . '<br />
        ' . $this->ClientDetails ['address1'] . '<br />
        ' . $this->ClientDetails ['city'] . ', ' . $this->ClientDetails ['state'] . ' ' . $this->ClientDetails ['zip'] . '</p></td>
    <td valign="top" width="198"><p>' . $this->CompanyDetails ['name'] . '<br />
        ' . $this->CompanyDetails ['address1'] . '<br />
        ' . $this->CompanyDetails ['city'] . ', ' . $this->CompanyDetails ['state'] . ' ' . $this->CompanyDetails ['zipcode'] . '<br />
        ' . $this->CompanyDetails ['phone1'] . '</p></td>
  </tr>
</table>
<br />
<table width="550" border="1" cellspacing="0" cellpadding="2">
  <tr>
    <td width="398">Item</td>
    <td width="137">Total</td>
  </tr>';
			foreach ( $lineitems as $item ) {
				$html .= '
  <tr>
    <td>'.$item ['PRODUCTNAME'] [0] ['VALUE'].'</td>
    <td>' . $item ['TOTAL'] [0] ['VALUE'] . '</td>
  </tr>
  ';
			}
			
			$html .= '<tr>
    <td><b>Grand Total</b></td>
    <td><b>' . $invoicedata [0] ['TOTAL'] [0] ['VALUE'] . '</b></td>
  </tr>';
			if ($invoicedata [0] ['AMOUNTPAID'] [0] ['VALUE'] > 0) {
				$html .= '<tr>
    <td><b>Amount Paid</b></td>
    <td><b>' . $invoicedata [0] ['TOTAL'] [0] ['VALUE'] . '</b></td>
  </tr>';
			}
			$html .= '
</table>';
			$dompdf = new DOMPDF ( );
			$dompdf->load_html ( $html );
			$dompdf->set_paper ( 'letter', 'portrait' );
			$dompdf->render ();
			
			$dompdf->stream ( "invoice-id_" . $invoiceid . ".pdf" );
			
			exit ( 0 );
		}
		$this->AddTemplateVar ( 'invoicedata', $invoicedata );
		
		$this->AddTemplateVar ( 'lineitems', $lineitems );
		
		$this->AddTemplateVar ( 'invoice', $invoice );
		
		$this->AddTemplateVar ( 'client', $this->ClientDetails );
		$this->AddTemplateVar ( 'clientid', $this->ClientId );
		$submenu = array ('view_invoice.php?invoiceid=' . $invoiceid . '&downloadinvoice=1' => 'LANG_DOWNLOAD_INVOICE' );
		$this->AddTemplateVar ( 'submenu', $submenu );
		$this->Display ( 'view_invoice.tpl' );
	}
}
$go = new add_billingaccount ( );
$go->Process ();
exit ();
?>