<?php
//=======================================
//###################################
// Kayako Infotech Ltd. - SWIFT Framework
//
// Source Copyright 2001-2008 Kayako Infotech Ltd.
// Unauthorized reproduction is not allowed
// License Number: $%LICENSE%$
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//                   www.kayako.com
//###################################
//=======================================

if (!defined("INSWIFT")) {
	trigger_error("Unable to process $PHP_SELF", E_USER_ERROR);
}

/**
* Initialization function. You can connect to your database etc over here.
*/
function loginShareInit()
{
	global $loginshare;

	$loginshare->moduleloaded = true;
}

/**
* Authorize a user based on email and password
*/
function loginShareAuthorize($username, $password)
{
	global $dbCore, $_SWIFT, $loginshare, $settings, $CONF;


		$_loginshare = $settings->getSection("loginshare");
		$dbLoginShare = new dbCore($_loginshare["nixbillhost"], $_loginshare["nixbillusername"], $_loginshare["nixbillpassword"], $_loginshare["nixbilldbname"], "mysql", false);

		$_user = $dbLoginShare->queryFetch("SELECT * FROM `clients` WHERE `email` = '". $dbCore->escape($username) ."' OR `username` = '". $dbCore->escape($username) ."';");
		if (empty($_user["id"]))
		{
			return false;
		}
	$_cs = $dbLoginShare->queryFetch("SELECT * FROM `clientsessions` WHERE `clientid` = '". $_user["id"] ."' AND ip = '".ip2long($_SERVER['REMOTE_ADDR'])."';");
	/**
	 * use the api to log a client in, if they are not already logged in.
	 */
	if(empty($_cs['id'])){
		$clientlogin = '<nixbill><command>ClientLogin</command><hash>'.$_loginshare["nixbillhash"].'</hash>
						<username>'.$username.'</username>
						<password>'.$password.'</password>
						<ip>'.$_SERVER['REMOTE_ADDR'].'</ip>
						</nixbill>';
		file_get_contents($_loginshare["nixbillapi"].'?xml='.$clientlogin);
		
		unset($_cs);
		$_cs = $dbLoginShare->queryFetch("SELECT * FROM `clientsessions` WHERE `clientid` = '". $_user["id"] ."' AND ip = '".ip2long($_SERVER['REMOTE_ADDR'])."';");
	}
	if (!empty($_user["id"]) && !empty($_cs['id']))
	{
		$userid = getLoginShareUser(LOGINAPI_NIXBILL, $_user["id"]);
		if (!$userid)
		{
			// Not registered, Register him
			$userid = insertUser(true, $_user["email"], substr(buildHash(),0,6), $_SWIFT["tgroup"]["regusergroupid"], LOGINAPI_NIXBILL, $_user["id"], $_user["fname"]." ".$_user["lname"], $_SWIFT["tgroup"]["languageid"], 0, false, 1, true, true);
		}

		if (!$userid)
		{
			$_swiftuser = $dbCore->queryFetch("SELECT `userid` FROM `". TABLE_PREFIX ."useremails` WHERE `email` = '". $dbCore->escape($_user["email"]) ."' LIMIT 1;");
			if (!empty($_swiftuser["userid"]))
			{
				$dbCore->query("UPDATE `". TABLE_PREFIX ."users` SET `loginapi_moduleid` = '". LOGINAPI_NIXBILL ."', `loginapi_userid` = '". intval($_user["id"]) ."' WHERE `userid` = '". intval($_swiftuser["userid"]) ."';");

				$userid = $_swiftuser["userid"];
			} else {
				return false;
			}
		}

		$_swiftuser = $loginshare->loadSWIFTUser($userid);
		if (!$_swiftuser)
		{
			return false;
		}

		$_SWIFT["user"] = $_swiftuser;

		return $_swiftuser["userid"];
	}else{
		
	}

	return false;
}

/**
* Return the Unique User ID of the current user
*/
function loginShareUserID()
{
	global $_SWIFT;

	if (empty($_SWIFT["user"]["userid"]))
	{
		return false;
	} else {
		return $_SWIFT["user"]["userid"];
	}
}

/**
* Logout the current user
*/
function loginShareLogout()
{
	global $session, $_SWIFT;

	$session->updateSession($_SWIFT["session"]["sessionid"], 0);

	return true;
}

/**
* Load the user credentials into current workspace. The following variables should be declared for proper working:
* userid - User id that is set in the "users" table
* fullname
* email - Array
* password (MD5 Hashed)
* usergroupid - If this is not set, then it will use the default registered user group for this template group
*/
function loginShareLoadUser()
{
	global $dbCore, $_SWIFT, $loginshare;

	if (empty($_SWIFT["session"]["typeid"]))
	{
		$_SWIFT["user"]["loggedin"] = false;
		return false;
	}

	$_user = $loginshare->loadSWIFTUser($_SWIFT["session"]["typeid"]);
	if (!$_user)
	{
		$_SWIFT["user"]["loggedin"] = false;

		return false;
	}

	$_SWIFT["user"] = $_user;

	return true;
}

/**
* Renders the Login Share Form
*/
function renderLoginShareForm()
{
	global $_SWIFT;

	$forms = array();

	$forms[0]["title"] = $_SWIFT["language"]["hostname"];
	$forms[0]["name"] = "nixbillhost";
	$forms[1]["title"] = $_SWIFT["language"]["dbname"];
	$forms[1]["name"] = "nixbilldbname";
	$forms[2]["title"] = $_SWIFT["language"]["dbuser"];
	$forms[2]["name"] = "nixbillusername";
	$forms[3]["title"] = $_SWIFT["language"]["dbpass"];
	$forms[3]["name"] = "nixbillpassword";
	$forms[4]["title"] = 'NixBill Hash';
	$forms[4]["name"] = "nixbillhash";
	$forms[5]["title"] = 'NixBill Api Url';
	$forms[5]["name"] = "nixbillapi";

	return $forms;

}
?>