<?php
/**
 * @package Admin
 * @author Donald Sullivan
 * @copyright Copyright (c) NixSpot Solutions Inc. 2009
 * @uses NixBill activation
 * @filesource
 */
session_start();
require_once '../include/libs/admin.php';
class accounts_on_server extends admin{
	public function __construct(){
		$permissions = array('PERMISSION_ACCOUNT_ON_SERVER');
		parent::__construct($permissions);
	}
	public function Process(){
		$serverid = (int)$_REQUEST['serverid'];
		if($serverid==0){
			echo 'Invalid server ID';
			return false;
		}
		$xml = "<nixbill>
    <command>ProcessHosting</command> 
    <operation>listaccounts</operation>
<serverid>$serverid</serverid>
</nixbill>";
		$accounts = $this->API($xml);
		$acts = array();
		if($_REQUEST['compare']){
			foreach($accounts['NIXBILL'][0]['RESULT'][0]['ACCOUNTS'][0]['ACCOUNT'] as $account){
				
				//$result = db::GetOneRow("SELECT packageid FROM clientpackagemodules WHERE accountid = '".$account['USER'][0]['VALUE']."' LIMIT 1 ");
				$result = db::GetNumRows("SELECT packageid FROM clientpackagemodules WHERE accountid = '".$account['USERNAME'][0]['VALUE']."' LIMIT 1 ");
				//$acts[] = array('user' => $account['USER'][0]['VALUE'], 'domain' => $account['DOMAIN'][0]['VALUE'], 'packageid' => $result['packageid']);
				if($result==0){
					$acts[] = array('user' => $account['USERNAME'][0]['VALUE'], 'domain' => $account['DOMAIN'][0]['VALUE']);
				}
			}
		}else{//list all accounts
			foreach($accounts['NIXBILL'][0]['RESULT'][0]['ACCOUNTS'][0]['ACCOUNT'] as $account){
				$acts[] = array('user' => $account['USER'][0]['VALUE'], 'domain' => $account['DOMAIN'][0]['VALUE']);
			}
		}
		$this->AddTemplateVar('accounts', $acts);
		$this->AddTemplateVar('serverid', $serverid);
		$this->Display('accounts_on_server.tpl');
		return true;
	}
}
$go = new accounts_on_server();
$go->Process();
?>
