<?php
session_start();
require_once '../include/libs/admin.php';
class add_billingaccount extends admin{
	public function __construct(){
		$permissions = array('PERMISSION_ADD_BILLINGACCOUNT');
		parent::__construct($permissions);
	}
	public function Process(){
		if(empty($_REQUEST['clientid'])) $this->AddError('No Client Id');
		if(isset($_POST['submit'])){
			$CreateBillingaccount = '
<nixbill>
	<command>CreateBillingAccount</command>
	<billingaccountdetails>
		<clientid>'.CleanInput($_REQUEST['clientid'], 'numeric').'</clientid>
		<nameoncard>'.CleanInput($_REQUEST['nameoncard'], 'text').'</nameoncard>
		<fname>'.CleanInput($_REQUEST['fname'], 'text').'</fname>
		<lname>'.CleanInput($_REQUEST['lname'], 'text').'</lname>
		<cardtype>'.CleanInput($_REQUEST['cardtype'], 'numeric').'</cardtype>
		<cardnumber>'.CleanInput($_REQUEST['cardnumber'], 'numeric').'</cardnumber>
		<expire>'.CleanInput($_POST['ExpMonth'], 'numeric').substr(CleanInput($_POST['ExpYear'], 'numeric'),2,2).'</expire>
		<expireyear>'.substr(CleanInput($_POST['ExpYear'], 'numeric'),2,2).'</expireyear>
		<address>'.CleanInput($_REQUEST['address'], 'text').'</address>
		<city>'.CleanInput($_REQUEST['city'], 'text').'</city>
		<state>'.CleanInput($_REQUEST['state'], 'text').'</state>
		<zipcode>'.CleanInput($_REQUEST['zipcode'], 'numeric').'</zipcode>
		<country>'.CleanInput($_REQUEST['country'], 'text').'</country>
		<phone>'.CleanInput($_REQUEST['phone'], 'numeric').'</phone>
		<status>1</status>
	</billingaccountdetails>
</nixbill>';
			
			$result = $this->API($CreateBillingaccount);
			$billingaccountid = $result['NIXBILL'][0]['RESULT'][0]['BILLINGACCOUNTID'][0]['VALUE'];
			if($billingaccountid >0){
				header("Location: edit_billingaccount.php?billingaccountid=".$billingaccountid);
			}else{
				$this->Error('Billing Account not created');
			}
			exit;

		}
		$clientdata = $this->GetClientDetailsById(CleanInput($_REQUEST['clientid'], 'numeric'));
		$this->AddTemplateVar('client', $clientdata);
		$this->AddTemplateVar('clientid', CleanInput($_REQUEST['clientid'], 'numeric'));
		$this->Display('add_billingaccount.tpl');
	}
}

$go = new add_billingaccount();
$go->Process();
?>
