<?php

session_start();
require_once '../include/libs/admin.php';
require_once path('include/libs/formatproducts.php');
class add_package extends admin{
	public function __construct(){
		$permissions = array('PERMISSION_ADD_PACKAGE');
		parent::__construct($permissions);
	}
	public function Process(){
		/*echo '<pre>';
		print_r($_REQUEST);
		exit;*/
		if(empty($_REQUEST['clientid'])){
			$this->AddError('No Client Id');
		}
		$clientid = CleanInput($_REQUEST['clientid'], 'numeric');
		$clientdetails = $this->GetClientDetailsById(CleanInput($_REQUEST['clientid'], 'numeric'));
		if(empty($_GET['orderformid'])){
			$this->AddError('No Order Form Selected');
		}else{
			$orderformid = CleanInput($_REQUEST['orderformid'], 'numeric');
		}
		if(empty($_SESSION['adminordersessionid'])){
			$sessionid = md5(rand(100000, 999999).time());
			$_SESSION['adminordersessionid'] = $sessionid;
		}else{
			$sessionid = $_SESSION['adminordersessionid'];
		}
		
		if($_REQUEST['submitteddomaintype']=='transfer'){
			$dprice = 14.95;
			if(!empty($_REQUEST['freedomain'])) $dprice = 0.00;
		$orderxml = '<nixbill>
  <command>CreateOrder</command>
  <paymenttype>3</paymenttype>
  <paymentfunction>sale</paymentfunction>
  <orderform>1</orderform>
  <clientdetails>
    <clientid>'.CleanInput($_REQUEST['clientid'], 'numeric').'</clientid>
    <username>'.$clientdetails['email'].'</username>
    <password>'.$clientdetails['password'].'</password>
    <billingaccountid></billingaccountid>
    <decrypted></decrypted>
    <status>0</status>
  </clientdetails>
  <domaindetails>
  <transfercode>'.CleanInput($_REQUEST['transfercode'], 'text').'</transfercode>
  </domaindetails>
  <orderdetails>
    <productid>23</productid>
    <cycleid>6</cycleid>
    <price>'.$dprice.'</price>
    <setup>0.00</setup>
    <couponcode></couponcode>
    <domainsld>'.CleanInput($_REQUEST['transferdomainsld'], 'text').'</domainsld>
    <domaintld>'.CleanInput($_REQUEST['transferdomaintld'], 'text').'</domaintld>
  </orderdetails>
</nixbill>';
		}else{
			$orderxml = '<nixbill>
  <command>CreateOrder</command>
  <paymenttype>3</paymenttype>
  <paymentfunction>sale</paymentfunction>
  <orderform>1</orderform>
  <clientdetails>
    <clientid>'.CleanInput($_REQUEST['clientid'], 'numeric').'</clientid>
    <username>'.$clientdetails['email'].'</username>
    <password>'.$clientdetails['password'].'</password>
    <billingaccountid></billingaccountid>
    <decrypted></decrypted>
    <status>0</status>
  </clientdetails>
  <domaindetails>
  
  </domaindetails>';

		if (is_array ( $_POST ['domain'] ) && empty ( $_POST ['owneddomainsld'] )) {
			foreach ( $_POST ['domain'] as $name => $cycle ) {
				$domainSplit = SplitDomain ( $name );
				$tlddetails = "<nixbill>
									<command>GetTLDDetails</command> 
									<tld orderformid='" . $_POST ['orderformid'] . "' tld='" . $domainSplit ['tld'] . "'></tld>
								</nixbill>";
				$TLDresult = $this->API ( $tlddetails );
				if (is_numeric ( $cycle )) {
					$productprices = '<nixbill>
				<command>GetProductPrices</command> 
				<productid>' . $TLDresult ['NIXBILL'] [0] ['RESULT'] [0] ['TLD'] [0] ['PRODUCTDETAILS'] [0] ['ATTRIBUTES'] ['ID'] . '</productid>
				<cycleid>' . $cycle . '</cycleid>
			</nixbill>';
					$DomainProductPrices = $this->API ( $productprices );
					if (! is_numeric ( $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['ID'] ) || ! is_numeric ( $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['CYCLEID'] ) || ! is_numeric ( $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['PRICE'] ) || ! is_numeric ( $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['SETUP'] )) {
						/// display error template then exit
						error ( 'no product information found' );
					}
					if ($freedomain) {
						$DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['PRICE'] = 0;
						$freedomain = false;
					}
					$dprice = $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['PRICE'];
					if(!empty($_REQUEST['freedomain'])) $dprice = 0.00;
					$orderxml.= '	<orderdetails>
					<productid>' . $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['ID'] . '</productid>
					<cycleid>' . $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['CYCLEID'] . '</cycleid>
					<price>' . $dprice . '</price>
					<setup>0</setup>
					<couponcode>' . CleanInput ( $_POST ['couponcode'], 'text' ) . '</couponcode>
					<domainsld>' . $domainSplit ['sld'] . '</domainsld>
					<domaintld>' . $domainSplit ['tld'] . '</domaintld>
				</orderdetails>';
				}
			}
		}
		$orderxml.= '</nixbill>';
		}
		
		$this->API($orderxml);
		//header("Location: edit_client.php?id=".CleanInput($_REQUEST['clientid'], 'numeric'));
		//echo $orderxml;
		echo "<a href='edit_client.php?id=$clientid'>Back to client</a>";
		exit;
		$this->AddTemplateVar('fmt', $fmt);
		//$submenu = array('product_add_module.php?productid='.$_GET['productid'] => 'LANG_ADD_PRODUCT_MODULE');
		//$this->AddTemplateVar('submenu', $submenu);
		$this->Display('add_domain_only.tpl');
	}
}
$go = new add_package();
$go->Process();
?>
