<?php
session_start ();
require_once '../include/libs/admin.php';
class add_orderform extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_ADD_ORDERFORM' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		if (isset ( $_POST ['submit'] ) && isset ( $_POST ['name'] )) {
			$addorderform = '<nixbill>
		<command>CreateOrderForm</command> 
		<orderformdetails>
			<name>' . CleanInput ( $_POST ['name'], 'text' ) . '</name>
			<paymentgroup>' . CleanInput ( $_POST ['paymentgroup'], 'numeric' ) . '</paymentgroup>
			<productgroup>' . CleanInput ( $_POST ['productgroup'], 'numeric' ) . '</productgroup>
			<currency>' . CleanInput ( $_POST ['currency'], 'text' ) . '</currency>
			<coupongroup>' . CleanInput ( $_POST ['coupongroup'], 'numeric' ) . '</coupongroup>
			<allowcoupons>' . CleanInput ( $_POST ['allowcoupons'], 'numeric' ) . '</allowcoupons>
			<companyid>' . CleanInput ( $_POST ['company'], 'numeric' ) . '</companyid>
			<language>' . CleanInput ( $_POST ['language'], 'text' ) . '</language>
			<tax>' . CleanInput ( $_POST ['tax'], 'numeric' ) . '</tax>
			<locale>' . CleanInput ( $_POST ['locale'], 'numeric' ) . '</locale>
		</orderformdetails>
	</nixbill>';
			$result = $this->API ( $addorderform );
			header ( "Location: edit_orderform.php?orderformid=" . $result ['NIXBILL'] [0] ['RESULT'] [0] ['ORDERFORMID'] [0] ['VALUE'] );
			exit ();
		}
		$productgroups = GetAllProductGroups ();
		$paymentgroups = GetAllPaymentGroups ();
		$currencies = GetAllCurrencies ();
		$companies = GetAllCompanies ();
		$languages = GetAllLanguages ();
		$fraudmodules = GetAllFraudModules ();
		$this->AddTemplateVar ( 'fraudmodules', $fraudmodules );
		$this->AddTemplateVar ( 'productgroups', $productgroups );
		$this->AddTemplateVar ( 'paymentgroups', $paymentgroups );
		$this->AddTemplateVar ( 'currencies', $currencies );
		$this->AddTemplateVar ( 'companies', $companies );
		$this->AddTemplateVar ( 'languages', $languages );
		$this->AddTemplateVar ( 'addorderformresult', '<a href="orderforms.php">Order Form Added, Return</a>' );
		//$this->AddTemplateVar ( 'status_options', $status );
		$this->Display ( 'add_orderform.tpl' );
	}
}
$go = new add_orderform ( );
$go->Process ();
?>
