<?php
session_start();
require_once '../include/libs/admin.php';
class admins extends admin{
	public function __construct(){
		$permissions = array('PERMISSION_LIST_ADMINS');
		parent::__construct($permissions);
	}
	public function Process(){
		$page=false;
		if(isset($_GET['page'])) $page = CleanInput($_GET['page'], 'numeric');
		$clients = GetAdmins($page, 20, 'a');
		foreach($clients as $k => $v){
			if($v['lastseen']>1000){
				$clients[$k]['lastseen'] = date("m.d.y, g:i a", $v['lastseen']);
			}else{
				$clients[$k]['lastseen'] = LANG_NEVER;
			}
		}
		$this->AddTemplateVar('clients', $clients);
		$this->AddTemplateVar('totalRows', $clients[0]['totalrows']);
		$this->AddTemplateVar('prevlink', $clients[0]['prevlink']);
		$this->AddTemplateVar('nextlink', $clients[0]['nextlink']);
		$submenu = array('add_admin.php' => 'LANG_ADD_ADMIN');
		$this->AddTemplateVar('submenu', $submenu);
		$this->Display('admins.tpl');
	}
}
$go = new admins();
$go->Process();
?>
