<?php

session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_REPORTS' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		/*if(!isset($_REQUEST['showflash'])){*/
			$status_display = array (LANG_SHOW_ALL, LANG_STATUS_NEW, LANG_STATUS_ACTIVE, LANG_STATUS_INACTIVE, LANG_STATUS_CANCELED, LANG_STATUS_DELETED, LANG_STATUS_FRAUD );
		
		$status_value = array ('a', 0, 1, 2, 3, 4, 11 );
		$this->AddTemplateVar ( 'selected', CleanInput ( $_REQUEST ['status'], 'numeric' ) );
		$this->AddTemplateVar ( 'status_display', $status_display );
		$this->AddTemplateVar ( 'status_value', $status_value );
		for($a = 1; $a < 13; $a ++) {
			$month_value [] = $a;
			$month_name [] = date ( 'F', mktime ( 0, 0, 0, $a, 1, date ( 'Y' ) ) );
			//echo date('F', mktime(0,0,0,$a,1,date('Y')));
		}
		$k = CleanInput ( $_REQUEST ['month'], 'numeric' );
		$selectedmonth = ($k) ? $k : date ( 'n' );
		
		$this->AddTemplateVar ( 'Month_selected', $selectedmonth );
		$this->AddTemplateVar ( 'Month_display', $month_name );
		$this->AddTemplateVar ( 'Month_value', $month_value );
		
		$status = CleanInput ( $_REQUEST ['status'], 'numeric' );
		//$month =  ShowMeThisMonth($status);
		$month = Month ( CleanInput ( $_REQUEST ['month'], 'numeric' ), $status );
		$year = ShowMeThisYear ( $status );
		$lastyear = ShowMeLastYear ( $status );
		$day = ShowMeThisDay ( $status );
		$this->AddTemplateVar ( 'month', $month );
		$this->AddTemplateVar ( 'year', $year );
		$this->AddTemplateVar ( 'lastyear', $lastyear );
		$this->AddTemplateVar ( 'day', $day );
		$this->AddTemplateVar ( 'monthvalue', (int)$_REQUEST ['month'] );
		$this->Display ( 'clientreportgraph.tpl' );
		/*}elseif($_REQUEST['showflash'] =='year'){
			//echo OFC_year('a');
		}elseif($_REQUEST['showflash'] =='month'){
			
			//echo OFC_month((int)$_REQUEST ['month'],'a');
		}*/
	}
}
$go = new adminpage ( );
$go->Process ();

function OFC_month($m=0, $status) {
	include_once path('ofc-library/open-flash-chart.php');
	if($m==0)$m = date('m');
	//echo $m;
	$number = date ( 't',mktime ( 0, 0, 0, $m, 1, date ( "Y" ) ) + 1 );
	//echo $number;
	$bar_red = new bar ( 75, '#D54C78' );
	$bar_red->key ( 'Total', $number );
	for($t = 1; $t < $number+1; $t ++) {
		$starttime [] = mktime ( 0, 0, 0, $m, $t, date ( "Y" ) );
		$endtime [] = mktime ( 0, 0, 0, $m, $t + 1, date ( "Y" ) );
		$days[] = $t;
	}
	foreach ( $starttime as $k => $time ) {
		//echo date("F j, Y, g:i a",$time).' - '.date("F j, Y, g:i a",$endtime[$k]).'<hr>';
		$q = "SELECT id FROM clients WHERE created > '" . $time . "' AND created < '" . $endtime [$k] . "'";
		if (is_numeric ( $status )) {
			$q .= " AND status = '" . $status . "'";
		}
		//echo $q;
		$total = db::GetNumRows ( $q );
		$bar_red->data [] = $total;
		if($total > $max){
			$max = $total;
		}
	}
	$g = new graph ( );
	$g->data_sets [] = $bar_red;
	$g->set_x_axis_3d ( $number );
	$g->x_axis_colour ( '#909090', '#ADB5C7' );
	//$g->y_axis_colour ( '#909090', '#ADB5C7' );
	
	$g->set_x_labels ( $days );
	$g->set_y_max ( $max );
	$g->y_label_steps ( 5 );
	$g->set_y_legend ( 'Sales Report', 12, '#736AFF' );
	return $g->render ();
}
function OFC_year($status) {
	
	include_once path('ofc-library/open-flash-chart.php');
	
	$bar_red = new bar_3d ( 75, '#D54C78' );
	$bar_red->key ( date ( "Y" ), 12 );
	/**
	 * This year
	 */
	for($t = 1; $t < 13; $t ++) {
		$starttime [] = mktime ( 0, 0, 0, $t, 1, date ( "Y" ) );
		$endtime [] = mktime ( 0, 0, 0, $t + 1, 1, date ( "Y" ) );
	}
	
	foreach ( $starttime as $k => $time ) {
		//echo date("F j, Y, g:i a",$time).' - '.date("F j, Y, g:i a",$endtime[$k]).'<hr>';
		$q = "SELECT id FROM clients WHERE created > '" . $time . "' AND created < '" . $endtime [$k] . "'";
		if (is_numeric ( $status )) {
			$q .= " AND status = '" . $status . "'";
		}
		//echo $q;
		$total = db::GetNumRows ( $q );
		$bar_red->data [] = $total;
		if($total > $max){
			$max = $total;
		}
	}
	// add random height bars:
	//for($i = 0; $i < 12; $i ++)
		
	/**
	 * last year
	 */	
	//
	// create a 2nd set of bars:
	//
	$bar_blue = new bar_3d ( 75, '#3334AD' );
	$bar_blue->key ( date ( "Y" )-1, 12 );
	unset($starttime);
	unset($endtime);
	for($t = 1; $t < 13; $t ++) {
		$starttime [] = mktime ( 0, 0, 0, $t, 1, date ( "Y" )-1 );
		$endtime [] = mktime ( 0, 0, 0, $t + 1, 1, date ( "Y" )-1 );
	}
	
	foreach ( $starttime as $k => $time ) {
		//echo date("F j, Y, g:i a",$time).' - '.date("F j, Y, g:i a",$endtime[$k]).'<hr>';
		$q = "SELECT id FROM clients WHERE created > '" . $time . "' AND created < '" . $endtime [$k] . "'";
		if (is_numeric ( $status )) {
			$q .= " AND status = '" . $status . "'";
		}
		//echo $q;
		
		$total = db::GetNumRows ( $q );
		$bar_blue->data [] = $total;
		if($total > $max){
			$max = $total;
		}
	}
	
	
	
	// create the graph object:
	$g = new graph ( );
	//$g->title ( 'Sales', '{font-size:20px; color: #FFFFFF; margin: 5px; background-color: #505050; padding:5px; padding-left: 20px; padding-right: 20px;}' );
	
	//$g->set_data( $data_1 );
	//$g->bar_3D( 75, '#D54C78', '2006', 10 );
	

	//$g->set_data( $data_2 );
	//$g->bar_3D( 75, '#3334AD', '2007', 10 );
	

	$g->data_sets [] = $bar_red;
	$g->data_sets [] = $bar_blue;
	//$g->data_sets[] = $bar_g;
	

	$g->set_x_axis_3d ( 12 );
	$g->x_axis_colour ( '#909090', '#ADB5C7' );
	$g->y_axis_colour ( '#909090', '#ADB5C7' );
	
	$g->set_x_labels ( array ('Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec' ) );
	$g->set_y_max ( $max );
	$g->y_label_steps ( 5 );
	$g->set_y_legend ( 'Sales Report', 12, '#736AFF' );
	return $g->render ();
	//return $g->CreateLineGraph ();
}
?>