<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_EDIT_ADMIN' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		$adminid = ( int ) $_REQUEST ['adminid'];
		if (! empty ( $_POST ['username'] ) && strlen ( $_POST ['password'] ) > 4) {
			db::Query ( "UPDATE admins SET 
							name = '" . CleanInput ( $_POST ['name'], 'text' ) . "',
							username = '" . CleanInput ( $_POST ['username'], 'text' ) . "',
							password = '" . Encryption::EncryptPassword ( $_POST ['password'] ) . "',
							groupid = '" . CleanInput ( $_POST ['groupid'], 'numeric' ) . "',
							email = '" . CleanInput ( $_POST ['email'], 'text' ) . "',
							language = '" . CleanInput ( $_POST ['language'], 'text' ) . "',
							status = '" . CleanInput ( $_POST ['status'], 'numeric' ) . "'
							WHERE id = '" . CleanInput ( $_POST ['adminid'], 'numeric' ) . "' LIMIT 1" );
			$this->AddTemplateVar ( 'updated', 'Updated' );
		}
		
		$adgs = db::GetAllRows ( "SELECT * FROM admingroups" );
		$admingroupnames [] = 'No Group';
		$admingroups [] = 0;
		foreach ( $adgs as $ad ) {
			$admingroupnames [] = $ad ['name'];
			$admingroups [] = $ad ['id'];
		}
		$this->AddTemplateVar ( 'yesno', $this->Cfg ['yesno'] );
		$this->AddTemplateVar ( 'yesnonames', $this->Cfg ['yesnonames'] );
		$this->AddTemplateVar ( 'admingroupnames', $admingroupnames );
		$this->AddTemplateVar ( 'admingroups', $admingroups );
		$admin_data = admininfo ( $adminid );
		$passwordv = Encryption::DecryptPassword ( $admin_data ['password'] );
		$this->AddTemplateVar ( 'passwordv', $passwordv );
		$this->AddTemplateVar ( 'admin_data', $admin_data );
		$submenu = array ('admins.php' => 'LANG_ADMINS' );
		$this->AddTemplateVar ( 'submenu', $submenu );
		
		if (! empty ( $_POST ['updatelist'] )) {
			db::Query ( "DELETE FROM ticketadmins WHERE adminid = $adminid" );
			if (is_array ( $_POST ['list'] )) {
				foreach ( $_POST ['list'] as $ev ) {
					db::Insert ( "INSERT INTO ticketadmins (`groupid`, `adminid`, `status`)VALUES
									('" . (int)$ev . "', '" . $adminid . "', '1')" );
				}
			}
		}
		$list = db::GetAllRows ( "SELECT * FROM ticketdepartments" );
		foreach ( $list as $item ) {
			$row = db::GetNumRows ( "SELECT * FROM ticketadmins  WHERE adminid = $adminid AND groupid = '" . $item ['id'] . "' LIMIT 1" );
			if ($row == 1) {
				$attached [] = array ('name' => $item ['name'], 'id' => $item ['id'] );
			} else {
				$detached [] = array ('name' => $item ['name'], 'id' => $item ['id'] );
			}
		}
		if (is_array ( $attached )) {
			ksort ( $attached );
		}
		$sortable ['attached'] = $attached;
		$sortable ['detached'] = $detached;
		$sortable ['formaction'] = 'edit_admin.php?adminid=' . $adminid;
		$this->AddTemplateVar ( 'sortable', $sortable );
		
		$this->Display ( 'edit_admin.tpl' );
	}
}
$go = new adminpage ( );
$go->Process ();
?>
