<?php
session_start ();
require_once '../include/libs/admin.php';
class edit_billingaccount extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_EDIT_BILLINGACCOUNT' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		
		$this->BillingAccountId = CleanInput ( $_GET ['billingaccountid'], 'numeric' );
		if (empty ( $this->BillingAccountId )) {
			$this->AddError ( 'Billing Account Id Not Found' );
		}
		$GetBillingAccount = '<nixbill>
					<command>GetBillingAccount</command> 
					<billingaccountid>' . $this->BillingAccountId . '</billingaccountid>
					
				</nixbill>
				';
		$billingaccount = $this->API ( $GetBillingAccount );
		
		$this->ClientId = $billingaccount ['NIXBILL'] [0] ['RESULT'] [0] ['BILLINGACCOUNT'] [0] ['CLIENTID'] [0] ['VALUE'];
		if (isset ( $_POST ['submit'] ))
			$this->UpdatePackages ( $_REQUEST ['packages'] );
		$this->Sortable ();
		$this->AddTemplateVar ( 'billingaccount', $billingaccount ['NIXBILL'] [0] ['RESULT'] [0] ['BILLINGACCOUNT'] [0] );
		
		$packages = db::GetAllRows ( "SELECT * FROM clientpackages WHERE billingaccountid = '" . $this->BillingAccountId . "'" );
		$this->AddTemplateVar ( 'packages', $packages );
		$this->AddTemplateVar ( 'billingaccountid', $this->BillingAccountId );
		//$this->AddTemplateVar('submenu', $submenu);
		$clientdetails = $this->GetClientDetailsById ( $this->ClientId );
		$this->AddTemplateVar ( 'client', $clientdetails );
		$this->Display ( 'edit_billingaccount.tpl' );
	}
	private function Sortable() {
		$clientpackages = db::GetAllRows ( "SELECT * FROM clientpackages WHERE clientid = '" . $this->ClientId . "' AND paymenttype != '2' " );
		if (is_array ( $clientpackages )) {
			foreach ( $clientpackages as $clientpackage ) {
				$att = db::GetNumRows ( "SELECT * FROM clientpackages WHERE billingaccountid = '" . $this->BillingAccountId . "' AND id = '" . $clientpackage ['id'] . "' AND paymenttype = '1' LIMIT 1" );
				if ($att == 1) {
					$attachedPackages [] = array ('id' => $clientpackage ['id'], 'domain' => $clientpackage ['domain'], 'price' => $clientpackage ['price'], 'setup' => $clientpackage ['setup'] );
				} else {
					$detachedPackages [] = array ('id' => $clientpackage ['id'], 'domain' => $clientpackage ['domain'], 'price' => $clientpackage ['price'], 'setup' => $clientpackage ['setup'] );
				}
			}
		}
		$this->AddTemplateVar ( 'attachedPackages', $attachedPackages );
		$this->AddTemplateVar ( 'detachedPackages', $detachedPackages );
	}
	private function UpdatePackages($packages) {
		$allpackages = db::GetAllRows ( "SELECT * FROM clientpackages WHERE billingaccountid = '" . $this->BillingAccountId . "' " );
		if (is_array ( $allpackages )) {
			foreach ( $allpackages as $pack ) {
				db::Query ( "UPDATE clientpackages SET paymenttype = '3', billingaccountid = '" . $this->DefaultBillingAccountId . "' WHERE id = '" . $pack ['id'] . "' LIMIT 1" );
			}
		}
		if (is_array ( $packages )) {
			foreach ( $packages as $package ) {
				db::Query ( "UPDATE clientpackages SET paymenttype = '1', billingaccountid = '" . $this->BillingAccountId . "' WHERE id = '" . $package . "' LIMIT 1" );
			}
		}
	}
}
$go = new edit_billingaccount ( );
$go->Process ();
?>
