<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_EDIT_CLIENT' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		$this->ClientId = CleanInput ( $_REQUEST ['id'], 'numeric' );
		$client_query = "SELECT * FROM `clients` WHERE `id` = '" . $this->ClientId . "'";
		$valid = db::GetNumRows ( $client_query );
		if ($valid == 0) {
			$this->AddError ( 'Client Not Found' );
		}
		$clientrevenue = GetClientBalance ( $this->ClientId );
		
		$fraud_result = "SELECT * FROM clientfraudresults WHERE clientid = '" . $this->ClientId . "'";
		$fraud = db::GetOneRow ( $fraud_result );
		$this->AddTemplateVar ( 'fraudscore', $fraud ['mainscore'] );
		$cr = db::GetOneRow ( $client_query );
		$cr['referrer'] = urldecode($cr['referrer']);
		$cr['statuschangetime'] = date("m-d-Y",$cr['statuschangetime']);
		$cr['password'] = Encryption::DecryptPassword($cr['password']);
		$orderforms = GetOrderFormByCompanyId ( $cr ['companyid'] );
		$this->AddTemplateVar ( 'orderforms', $orderforms );
		$cpkgs = db::GetAllRows ( "SELECT * FROM `clientpackages` WHERE `clientid` = '" . $this->ClientId . "' AND `status` != '4'  ORDER BY id DESC LIMIT 5" );
		if(is_array($cpkgs)){
		foreach ( $cpkgs as $cp ) {
			/*if ($cp ['reneweddate'] > time ()) {
				$displaytime = date ( "m-d-Y H:i", $cp ['reneweddate'] );
			} else {
				$displaytime = date ( "m-d-Y H:i", $cp ['renewdate'] );
				FormatDate()
			}*/
			
			$packages [] = array (
				'username' => $cp['username'], 
				'password' => decrypt_password($cp['password']),
				'id' => $cp ['id'], 
				'coupon' => GetCouponName($cp['couponid']), 
				'couponid' => $cp['couponid'], 
				'domain' => $cp['domain'], 
				'server' => server_name ($cp['serverid']), 
				'serverid' => $cp['serverid'], 
				'ipaddress' => $cp['ipaddress'], 
				'product' => product_name ( $cp ['productid'] ), 
				'price' => $cp ['price'], 
				'cycle' => GetCycleName ( $cp ['cycle'] ), 
				'status' => GetStatusName ( $cp ['status'] ),
			'quantity' => $cp['quantity'],
				'renew' => FormatDate($cp ['renewdate'],1) 
			);
		}
		}
		foreach ( $this->Cfg ['status'] as $sk => $sv ) {
			if ($cr ['status'] == $sk) {
				$statusselected = $sk;
			}
			$statusvalues [] = $sk;
			$statusnames [] = constant ( $sv );
		}
		if($cr['status']==0){
			$this->AddTemplateVar('new','1');
		}
		$this->AddTemplateVar ( 'clientstatus', GetStatusName($cr['status']));
		$this->AddTemplateVar ( 'statusvalues', $statusvalues );
		$this->AddTemplateVar ( 'statusnames', $statusnames );
		$this->AddTemplateVar ( 'statusselected', $statusselected );
		$this->AddTemplateVar ( 'clientrevenue', $clientrevenue );
		$invoices = GetInvoices ( '', 5, $this->ClientId );
		$transactions = GetTransactions ( '', 5, $this->ClientId );
		$this->AddTemplateVar ( 'transactions', $transactions );
		$clientdata ['clientid'] = $this->ClientId;
		$billingaccounts = GetClientBillingAccounts ( $clientdata );
		$this->AddTemplateVar ( 'billingaccounts', $billingaccounts );
		$this->AddTemplateVar ( 'invoices', $invoices );
		$this->AddTemplateVar ( 'countpackages', count ( $cpkgs ) );
		$this->AddTemplateVar ( 'packages', $packages );
		foreach ( $cr as $ck => $cv ) {
			if (empty ( $cv )) {
				$ca [$ck] = 'Empty';
			} else {
				$ca [$ck] = $cv;
			}
		}
		$this->AddTemplateVar ( 'c', $ca );
		$signupip = long2ip($ca['signupip']);
		$this->AddTemplateVar ( 'signupip', $signupip );
		$this->AddTemplateVar ( 'clientid', $this->ClientId );
		$this->AddTemplateVar ( 'createdtime', date ( "F j, Y, g:i a", $cr ['created'] ) );
		$this->AddTemplateVar ( 'lastip', long2ip ( $cr ['lastip'] ) );
		if ($cr ['lasttime']) {
			$this->AddTemplateVar ( 'lasttime', date ( "F j, Y, g:i a", $cr ['lasttime'] ) );
		} else {
			$this->AddTemplateVar ( 'lasttime', LANG_NEVER );
		}
		$getclientfraud = '<nixbill>
    <command>GetFraud</command> 
    <clientid>' . $this->ClientId . '</clientid>
</nixbill>';
		$fraudresults = $this->API($getclientfraud);
		$this->AddTemplateVar('clientfraud', $fraudresults['NIXBILL'] [0] ['RESULT'] [0] ['FRAUDRESULT'] [0] ['FRAUD']);
		$getclientnotesxml = '<nixbill>
	<command>GetClientNotes</command> 
	<clientid>' . $this->ClientId . '</clientid>
</nixbill>
';
		$clientnotes = $this->API ( $getclientnotesxml );
		
		$this->AddTemplateVar ( 'clientnotes', $clientnotes ['NIXBILL'] [0] ['RESULT'] [0] ['CLIENTNOTES'] [0] ['CLIENTNOTE'] );
		$getemails = '<nixbill>
	<command>GetEmail</command> 
	<clientid>' . $this->ClientId . '</clientid>
</nixbill>
';
		$emails = $this->API ( $getemails );
		$this->AddTemplateVar ( 'emails', $emails ['NIXBILL'] [0] ['RESULT'] [0] ['EMAILS'] [0] ['EMAIL'] );
		
		$getpaypalxml = '<nixbill>
	<command>GetPayPalSubscriptions</command> 
	<clientid>' . $this->ClientId . '</clientid>
	<lastfive>1</lastfive>
</nixbill>
';
		$paypalsubs = $this->API ( $getpaypalxml );
		if (count ( $paypalsubs ['NIXBILL'] [0] ['RESULT'] [0] ['PAYPALSUBS'] [0] ['PAYPALSUB'] ) > 0) {
			$this->AddTemplateVar ( 'paypalsubs', $paypalsubs ['NIXBILL'] [0] ['RESULT'] [0] ['PAYPALSUBS'] [0] ['PAYPALSUB'] );
		}
		$listtickets = "<nixbill>
	<command>GetClientTickets</command> 
	<clientid>$this->ClientId</clientid>
	<clientview></clientview>
	<LIMIT>5</LIMIT>
	<ticketstatus>notclosed</ticketstatus>
</nixbill>";
		$tickets = $this->API($listtickets);
		$this->AddTemplateVar ( 'tickets', $tickets['NIXBILL'][0]['RESULT'][0]['CLIENTTICKETS'][0]['CLIENTTICKET'] );
		if ($tickets['NIXBILL'][0]['RESULT'][0]['CLIENTTICKETS'][0]['TOTAL'][0]['VALUE'] > 0) {
			$this->AddTemplateVar ( 'tickets', $tickets['NIXBILL'][0]['RESULT'][0]['CLIENTTICKETS'][0]['CLIENTTICKET'] );
		}
		
		
		$this->Display ( 'edit_client.tpl' );
	}
}
$go = new adminpage ( );
$go->Process ();
?>