<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_EDIT_COMPANY' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		if (! empty ( $_POST ['name'] )) {
			
			$update = "UPDATE companies SET 
							name = '" . CleanInput ( $_POST ['name'], 'text' ) . "',
							address1 = '" . CleanInput ( $_POST ['address1'], 'text' ) . "',
							address2 = '" . CleanInput ( $_POST ['address2'], 'text' ) . "',
							city = '" . CleanInput ( $_POST ['city'], 'text' ) . "',
							email = '" . CleanInput ( $_POST ['email'], 'text' ) . "',
							state = '" . CleanInput ( $_POST ['state'], 'text' ) . "',
							country = '" . CleanInput ( $_POST ['country'], 'text' ) . "',
							phone1 = '" . CleanInput ( $_POST ['phone1'], 'text' ) . "',
							phone2 = '" . CleanInput ( $_POST ['phone2'], 'text' ) . "',
							fax = '" . CleanInput ( $_POST ['fax'], 'text' ) . "',
							description = '" . CleanInput ( $_POST ['description'], 'text' ) . "',
							url = '" . CleanInput ( $_POST ['url'], 'text' ) . "',
							welcomeemailid = '" . (int) $_POST ['welcomeemailid'] . "',
							invoiceemailid = '" . (int) $_POST ['invoiceemailid'] . "',
							suspensionemailid = '" . (int) $_POST ['suspensionemailid'] . "',
							unsuspensionemailid = '" . (int) $_POST ['unsuspensionemailid'] . "',
							paymentemailid = '" . (int) $_POST ['paymentemailid'] . "',
							zipcode = '" . (int) $_POST ['zipcode'] . "',
							passwordresetemailid = '" . (int) $_POST ['passwordresetemailid'] . "',
							firstattemptemailid = '" . (int) $_POST ['firstattemptemailid'] . "',
							secondattemptemailid = '" . (int) $_POST ['secondattemptemailid'] . "',
							thirdattemptemailid = '" . (int) $_POST ['thirdattemptemailid'] . "',
							expiredcardemailid = '" . (int) $_POST ['expiredcardemailid'] . "',
							deleteclientemailid = '" . ( int ) $_POST ['deleteclientemailid'] . "',
							retrytime = '" . (int) $_POST ['retrytime'] . "',
							supportlink = '" . CleanInput ( $_POST ['supportlink'], 'text' ) . "',
							ticketconfirmationemailid = '" . ( int ) $_POST ['ticketconfirmationemailid'] . "',
							ticketupdateemailid = '" . ( int ) $_POST ['ticketupdateemailid'] . "',
							ticketconfirmationnonclientemailid = '" . ( int ) $_POST ['ticketconfirmationnonclientemailid'] . "',
							ticketupdatenonclientemailid = '" . ( int ) $_POST ['ticketupdatenonclientemailid'] . "',
							ticketconfirmationemailidforadmin = '" . ( int ) $_POST ['ticketconfirmationemailidforadmin'] . "',
							ticketconfirmationemailidforadminnonclient = '" . ( int ) $_POST ['ticketconfirmationemailidforadminnonclient'] . "',
							ticketupdateemailidforadmin = '" . ( int ) $_POST ['ticketupdateemailidforadmin'] . "',
							ticketclosednonclient = '" . ( int ) $_POST ['ticketclosednonclient'] . "',
							ticketclosedclient = '" . ( int ) $_POST ['ticketclosedclient'] . "'
							WHERE id = '" . (int) $_REQUEST ['companyid'] . "' LIMIT 1";
			//requireactivation = '" . CleanInput ( $_POST ['requireactivation'], 'numeric' ) . "',
			//echo $update;
			db::Query ( $update );
			$this->AddTemplateVar ( 'updated', 'Updated' );
		}
		
		$company = db::GetOneRow ( "SELECT * FROM `companies` WHERE `id` = '" . CleanInput ( $_REQUEST ['companyid'], 'numeric' ) . "' LIMIT 1" );
		
		$base = new base ( );
		$welcomeemails = $base->GetEmailListByType ( 1 );
		foreach ( $welcomeemails as $wv ) {
			$welcomeids [] = $wv ['id'];
			$welcomenames [] = $wv ['name'];
		}
		$invoiceemails = $base->GetEmailListByType ( 2 );
		foreach ( $invoiceemails as $iv ) {
			$invoiceids [] = $iv ['id'];
			$invoicenames [] = $iv ['name'];
		}
		$suspensionemails = $base->GetEmailListByType ( 5 );
		foreach ( $suspensionemails as $iv ) {
			$suspensionids [] = $iv ['id'];
			$suspensionnames [] = $iv ['name'];
		}
		
		$unsuspensionemails = $base->GetEmailListByType ( 6 );
		
		foreach ( $unsuspensionemails as $wv ) {
			$unsuspensionids [] = $wv ['id'];
			$unsuspensionnames [] = $wv ['name'];
		}
		
		$paymentemails = $base->GetEmailListByType ( 7 );
		foreach ( $paymentemails as $wv ) {
			$paymentids [] = $wv ['id'];
			$paymentnames [] = $wv ['name'];
		}
		
		$genericemails = $base->GetEmailListByType ( 8 );
		if (is_array ( $genericemails )) {
			foreach ( $genericemails as $wv ) {
				$genericids [] = $wv ['id'];
				$genericnames [] = $wv ['name'];
			}
		}

		
		$this->AddTemplateVar ( 'paymentemailids', $paymentids );
		$this->AddTemplateVar ( 'paymentnames', $paymentnames );
		$this->AddTemplateVar ( 'paymentselected', $company ['paymentemailid'] );
		
		$this->AddTemplateVar ( 'unsuspensionemailids', $unsuspensionids );
		$this->AddTemplateVar ( 'unsuspensionnames', $unsuspensionnames );
		$this->AddTemplateVar ( 'unsuspensionselected', $company ['unsuspensionemailid'] );
		
		$this->AddTemplateVar ( 'suspensionemailids', $suspensionids );
		$this->AddTemplateVar ( 'suspensionnames', $suspensionnames );
		$this->AddTemplateVar ( 'suspensionselected', $company ['suspensionemailid'] );
		
		$this->AddTemplateVar ( 'welcomeemailids', $welcomeids );
		$this->AddTemplateVar ( 'welcomenames', $welcomenames );
		$this->AddTemplateVar ( 'welcomeselected', $company ['welcomeemailid'] );
		
		$this->AddTemplateVar ( 'invoiceemailids', $invoiceids );
		$this->AddTemplateVar ( 'invoicenames', $invoicenames );
		$this->AddTemplateVar ( 'invoiceselected', $company ['invoiceemailid'] );
		
		$this->AddTemplateVar ( 'genericemailids', $genericids );
		$this->AddTemplateVar ( 'genericnames', $genericnames );
		$this->AddTemplateVar ( 'genericselected', $company ['passwordresetemailid'] );
		/**
		 * first attempt email
		 */
		$this->AddTemplateVar ( 'firstattemptelected', $company ['firstattemptemailid'] );
		/**
		 * second attempt email
		 */
		$this->AddTemplateVar ( 'secondattemptselected', $company ['secondattemptemailid'] );
		/**
		 * third attempt email
		 */
		$this->AddTemplateVar ( 'thirdattemptselected', $company ['thirdattemptemailid'] );
		
		$this->AddTemplateVar ( 'expiredcardselected', $company ['expiredcardemailid'] );
		
		$this->AddTemplateVar ( 'ticketconfirmationemailidselected', $company ['ticketconfirmationemailid'] );
		
		$this->AddTemplateVar ( 'ticketupdateemailidselected', $company ['ticketupdateemailid'] );
		
		$this->AddTemplateVar ( 'ticketconfirmationnonclientemailidselected', $company ['ticketconfirmationnonclientemailid'] );
		
		$this->AddTemplateVar ( 'ticketupdatenonclientemailidselected', $company ['ticketupdatenonclientemailid'] );
		
		$this->AddTemplateVar ( 'ticketconfirmationemailidforadminselected', $company ['ticketconfirmationemailidforadmin'] );
		
		$this->AddTemplateVar ( 'ticketconfirmationemailidforadminnonclientselected', $company ['ticketconfirmationemailidforadminnonclient'] );
		
		$this->AddTemplateVar ( 'ticketupdateemailidforadminselected', $company ['ticketupdateemailidforadmin'] );
		
		$this->AddTemplateVar ( 'ticketclosednonclientselected', $company ['ticketclosednonclient'] );
		$this->AddTemplateVar ( 'ticketclosedclientselected', $company ['ticketclosedclient'] );
		
		$this->AddTemplateVar ( 'company', $company );
		
		$this->AddTemplateVar ( 'cfg', $this->Cfg );
		
		$this->Display ( 'edit_company.tpl' );
	
	}
}
$go = new adminpage ( );
$go->Process ();
?>