<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_EDIT_ORDERFORM' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		$orderformid = CleanInput ( $_REQUEST ['orderformid'], 'numeric' );
		if (! empty ( $_POST ['name'] )) {
			$updateXML = '<nixbill>
		<command>UpdateOrderForm</command> 
		<orderformdetails>
			<id>' . $orderformid . '</id>
			<name>' . CleanInput ( $_POST ['name'], 'text' ) . '</name>
			<paymentgroup>' . CleanInput ( $_POST ['paymentgroup'], 'numeric' ) . '</paymentgroup>
			<productgroup>' . CleanInput ( $_POST ['productgroup'], 'numeric' ) . '</productgroup>
			<currency>' . CleanInput ( $_POST ['currency'], 'text' ) . '</currency>
			<allowcoupons>' . CleanInput ( $_POST ['allowcoupons'], 'numeric' ) . '</allowcoupons>
			<companyid>' . CleanInput ( $_POST ['company'], 'numeric' ) . '</companyid>
			<language>' . CleanInput ( $_POST ['language'], 'text' ) . '</language>
			<tax>' . CleanInput ( $_POST ['tax'], 'numeric' ) . '</tax>
			<fraud>' . CleanInput ( $_POST ['fraudmodule'], 'text' ) . '</fraud>
			<maxfraudscore>' . CleanInput ( $_POST ['maxfraudscore'], 'text' ) . '</maxfraudscore>
			<locale>' . CleanInput ( $_POST ['locale'], 'numeric' ) . '</locale>
			<acceptcc>' . CleanInput ( $_POST ['acceptcc'], 'numeric' ) . '</acceptcc>
			<acceptpp>' . CleanInput ( $_POST ['acceptpp'], 'numeric' ) . '</acceptpp>
			<whoistype>' . CleanInput ( $_POST ['whoistype'], 'numeric' ) . '</whoistype>
			<clientside>' . CleanInput ( $_POST ['clientside'], 'numeric' ) . '</clientside>
			<templategroup>' . CleanInput ( $_POST ['templategroup'], 'text' ) . '</templategroup>
			<link>' . CleanInput ( $_POST ['link'], 'text' ) . '</link>
			<title>' . CleanInput ( $_POST ['title'], 'text' ) . '</title>
		</orderformdetails>
	</nixbill>';
			$this->API ( $updateXML );
			$this->AddTemplateVar ( 'updated', 'Updated' );
		}
		if (! empty ( $_POST ['updatelist'] )) {
			db::Query ( "DELETE FROM orderformtlds WHERE orderformid = '" . $orderformid . "'" );
			$this->AddTemplateVar ( 'updated', 'Updated' );
			if (is_array ( $_POST ['list'] )) {
				foreach ( $_POST ['list'] as $ev ) {
					$order++;
					db::Insert ( "INSERT INTO orderformtlds (`orderformid`, `tldproductid`, `tld`, `order`)VALUES
									('" . $orderformid . "', '" . TLDproductID ( $ev ) . "', '" . CleanInput ( $ev, 'text' ) . "', '" . $order . "')" );
				}
			}
		}
		$list = db::GetAllRows( "SELECT * FROM tlds" );
		foreach ( $list as $item ) {
			if (is_numeric ( TLDproductID ( $item ['tld'] ) )) {
				$row = db::GetNumRows( "SELECT * FROM orderformtlds WHERE orderformid = '" . $orderformid . "' AND tld = '" . $item ['tld'] . "' LIMIT 1" );
				if ($row == 1) {
					$attached [] = array ('name' => $item ['tld'], 'id' => $item ['tld'] );
					//$attached [$item ['order']] = array ('name' => $item ['tld'], 'id' => $item ['tld'] );
				} else {
					$detached [] = array ('name' => $item ['tld'], 'id' => $item ['tld'] );
				}
			}
		}
		if (is_array ( $attached )) {
			ksort ( $attached );
		}
		$sortable ['attached'] = $attached;
		$sortable ['detached'] = $detached;
		$sortable ['formaction'] = 'edit_orderform.php?orderformid=' . $orderformid;
		$this->AddTemplateVar ( 'sortable', $sortable );
		
		$productgroups = GetAllProductGroups ();
		$paymentgroups = GetAllPaymentGroups ();
		$currencies = GetAllCurrencies ();
		$companies = GetAllCompanies ();
	//	$languages = GetAllLanguages ();
		$templategroups = GetAllTemplates ();
		$languages = $this->Cfg['language'];
		$fraudmodules = GetAllFraudModules ();
		$locales = GetAllLocales ();
		$this->AddTemplateVar ( 'locales', $locales );
		$orderform = db::GetOneRow("SELECT * FROM orderforms WHERE id = '" . $orderformid . "' LIMIT 1");
		$this->AddTemplateVar(	'templategroups', $templategroups );
		$this->AddTemplateVar ( 'orderform', $orderform );
		$this->AddTemplateVar ( 'fraudmodules', $fraudmodules );
		$this->AddTemplateVar ( 'productgroups', $productgroups );
		$this->AddTemplateVar ( 'paymentgroups', $paymentgroups );
		$this->AddTemplateVar ( 'currencies', $currencies );
		$this->AddTemplateVar ( 'companies', $companies );
		$this->AddTemplateVar ( 'languages', $languages );
		$this->AddTemplateVar ( 'cfg', $this->Cfg );
		$this->AddTemplateVar ( 'status_options', $this->Cfg['status'] );
		
		$this->AddTemplateVar ( 'yesno', $this->Cfg ['yesno'] );
		$this->AddTemplateVar ( 'yesnonames', $this->Cfg ['yesnonames'] );
		
		$whoisoptions = array (0, 1, 2 );
		$whoisoptionsnames = array ('Standard Whois', 'Multiple Whois', 'Domain Spinner' );
		$this->AddTemplateVar ( 'whoisoptions', $whoisoptions );
		$this->AddTemplateVar ( 'whoisoptionsnames', $whoisoptionsnames );
		if(is_array($_POST['subdomains'])){
			db::Query("DELETE FROM subdomains WHERE orderformid = '".$orderformid."'");
			foreach($_POST['subdomains'] as $sub){
				if(!empty($sub))
				db::Insert("INSERT INTO subdomains (subdomain, orderformid)VALUES('".CleanInput($sub, 'text')."', '".$orderformid."')");
			}
		}
		$subdomains = db::GetAllRows("SELECT * FROM subdomains WHERE orderformid = '".$orderformid."'");
		$this->AddTemplateVar('subdomains', $subdomains);
		$this->Display ( 'edit_orderform.tpl' );
	}
}
$go = new adminpage ( );
$go->Process ();
?>