<?php
session_start();
require_once '../include/libs/admin.php';
class adminpage extends admin{
	public function __construct(){
		$permissions = array('PERMISSION_EDIT_PACKAGE_RENEW_DATE');
		parent::__construct($permissions);
	}
	public function Process(){
		if(isset($_POST['submit'])){
			$packageid = CleanInput($_REQUEST['packageid'], 'numeric');
			$cycleid = CleanInput($_REQUEST['cycle'], 'numeric');
			$update = '<nixbill>
    <command>UpdatePackageRenewDate</command> 
<cycleid>'.$cycleid.'</cycleid>
<packageid>'.$packageid.'</packageid>
</nixbill>';
			$this->API($update);
			header('Location: edit_package.php?packageid='.$packageid);
		}
		$packagedetails = $this->GetPackageDetailsById(CleanInput($_GET['packageid'], 'numeric'));
		$clientdetails = $this->GetClientDetailsById($packagedetails['clientid']);
		$cycles = db::GetAllRows("SELECT * FROM productcycles WHERE productid = '".$packagedetails['productid']."' AND cycleid > '".$packagedetails['cycle']."'");

		if(!is_numeric($packagedetails['id'])){
			$this->AddError('Package Id not found');
		}
		if(is_array($cycles)){
		foreach($cycles as $k => $option){
			$cycles[$k]['name'] = GetCycleName($option['cycleid']).' '. $option['price'];	
		}
		}else{
			$error = 'No Cycles Available';
			$this->AddTemplateVar('error', $error);
		}
		/**
		*	This function just converts alot of the data to be more user friendly
		*/
		$packagedetails = $this->PrettyPackageDetails($packagedetails);
		$this->AddTemplateVar('cycles', $cycles);
		$this->AddTemplateVar('client', $clientdetails);					
		$this->AddTemplateVar('packages', $packagedetails);
		$this->Display('edit_package_renew_date.tpl');
	}
}
$go = new adminpage();
$go->Process();
?>