<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_EDIT_PRODUCT' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		$productid = CleanInput ( $_REQUEST ['id'], 'numeric' );
		if (isset ( $_POST ['cyclebound'] )) {
			db::Query( "UPDATE `products` SET `cyclebound` = '" . CleanInput($_POST ['cyclebound'],'text') . "' WHERE `id` = '" . $productid . "'" );
		}
		if (isset ( $_POST ['status'] )) {
			db::Query ( "UPDATE `products` SET `status` = '" . CleanInput($_POST ['status'], 'numeric' ) . "' WHERE `id` = '" . $productid . "'" );
		}
		if (isset ( $_POST ['domainrequired'] )) {
			db::Query ( "UPDATE `products` SET `domainrequired` = '" . CleanInput($_POST ['domainrequired'], 'numeric' ) . "' WHERE `id` = '" . $productid . "'" );
		}
		$p = db::GetOneRow( "SELECT * FROM `products` WHERE `id` = '" . $productid . "'" );
		$product_cycles = GetProductCyclesById ( $productid );
		
		if (is_array ( $product_cycles )) {
			foreach ( $product_cycles as $pv ) {
				$product_cycles2 [] = array ('cycle' => GetCycleName ( $pv ['cycleid'] ), 'price' => $pv ['price'], 'setup' => $pv ['setup'] );
			}
		} else {
			$this->AddTemplateVar ( 'addcycles', '<a href="product_prices.php?id=' . $productid . '">' . LANG_ADD_PRICING . '</a>' );
		}
		if(isset($_FILES['productimage'])){
			$filename = basename( $_FILES['productimage']['name']);
			$ft = explode('.',$filename);
			$f = count($ft);
			if(strtolower($ft[$f-1]) =='jpg'){
			$filetype = $ft[$f-1];
			}elseif(strtolower($ft[$f-1]) =='gif'){
			$filetype = $ft[$f-1];
			}elseif(strtolower($ft[$f-1]) =='png'){
			$filetype = $ft[$f-1];
			}else{
				echo 'Invalid file type, png, jpg, or gif only.';
				exit;
			}
			$target_path = path('product-images/') . $filename;
			if(!move_uploaded_file($_FILES['productimage']['tmp_name'], $target_path)) {
   				echo "File Upload Error ".$_FILES['productimage']['error'];
   				exit;
			}else{
				
				db::Query ( "UPDATE `products` SET `image` = '" . $filename . "' WHERE `id` = '" . $productid . "'" );
				header('Location: edit_product.php?id='.$productid);
				exit;
			}
		}
	
		if(file_exists(path('product-images/').$p['image'])){
			$this->AddTemplateVar('productimage','<img src="../images/image.php?size=thumb&image='.$p['image'].'" alt="" />');
		}
		$yesno = array ('Yes', 'No' );
		$yesnovalue = array (1, 0 );
		$yesnoselected = $p ['cyclebound'];
		$domainrequiredstatus = $p ['domainrequired'];
		
		$this->AddTemplateVar ( 'domainrequiredstatus', $domainrequiredstatus );
		$pstatusvalue[] = 1;
		$pstatusvalue[] = 2;
		$pstatusname[] = 'Active';
		$pstatusname[] = 'In-Active';
		$this->AddTemplateVar ( 'statusvalue', $pstatusvalue );
		$this->AddTemplateVar ( 'status', $pstatusname );
		$this->AddTemplateVar ( 'currentstatus', $p ['status'] );
		if (empty( $p ['comments'] )) {
			$comments = 'No Comments';
		} else {
			$comments = stripslashes(html_entity_decode ( $p ['comments'] ));
		}
		$this->AddTemplateVar ( 'yesno', $yesno );
		$this->AddTemplateVar ( 'yesnovalue', $yesnovalue );
		$this->AddTemplateVar ( 'yesnoselected', $yesnoselected );
		$this->AddTemplateVar ( 'product_cycles', $product_cycles2 );
		$this->AddTemplateVar ( 'name', $p ['name'] );
		$this->AddTemplateVar ( 'type', $p ['type'] );
		$this->AddTemplateVar ( 'id', $productid );
		$this->AddTemplateVar ( 'comments', $comments );
		$commentline1 = (!empty($p['commentline1']))?$p['commentline1']:'blank';
		$commentline2 = (!empty($p['commentline2']))?$p['commentline2']:'blank';
		$commentline3 = (!empty($p['commentline3']))?$p['commentline3']:'blank';
		$this->AddTemplateVar ( 'commentline1', $commentline1 );
		$this->AddTemplateVar ( 'commentline2', $commentline2 );
		$this->AddTemplateVar ( 'commentline3', $commentline3 );
		$this->AddTemplateVar ( 'serverpackageid', $p ['serverpackageid'] );
		$submenu = array ('product_prices.php?id=' . $productid => 'LANG_PRICING', 'product_modules.php?productid=' . $productid => 'LANG_MODULES' );
		$submenu ['product_emails.php?productid=' . $productid] = 'LANG_EMAILS';
		if ($p ['type'] != 4) {
			$submenu ['product_addons.php?productid=' . $productid] = 'LANG_ADDONS';
			
		}
		$this->AddTemplateVar ( 'submenu', $submenu );
		$this->Display ( 'edit_product.tpl' );
	}
}
$go = new adminpage ( );
$go->Process ();
?>