<?php
session_start();
require_once '../include/libs/admin.php';
class adminpage extends admin{
	public function __construct(){
		$permissions = array('PERMISSION_EMAIL_ALL_CLIENTS');
		parent::__construct($permissions);
	}
	public function Process(){
		if(!empty($_POST['submit'])){
			$this->SendEmails();
		}
		$products = db::GetAllRows("SELECT id, name FROM products");
		$this->AddTemplateVar('products', $products);
		$modules = db::GetAllRows("SELECT id, name FROM hostingmodules");
		$this->AddTemplateVar('modules', $modules);
		$emails = db::GetAllRows("SELECT id, name FROM emailtemplates WHERE mailtype = '8'");
		$this->AddTemplateVar('emails', $emails);
		$this->Display('email_clients.tpl');
	}
	private function SendEmails(){
		$sendemails = '<nixbill>
							<command>SendMultipleEmails</command>
							<hash>'.GetAPIHash().'</hash>';
		$sendemails.= '<emailid>'.(int) $_POST['email'].'</emailid>';
		if(is_array($_POST['cstatus'])){
			$sendemails.= '<clientstatus>';
			foreach($_POST['cstatus'] as $status){
				$sendemails.='<cs>'.(int)$status.'</cs>';
			}
			$sendemails.= '</clientstatus>';
		}
		
		if(is_array($_POST['product'])){
			$sendemails.= '<products>';
			foreach($_POST['product'] as $product){
				$sendemails.='<product>'.(int)$product.'</product>';
			}
			$sendemails.= '</products>';
		}
		
		if(is_array($_POST['server'])){
			$sendemails.= '<servers>';
			foreach($_POST['server'] as $server){
				$sendemails.='<server>'.(int)$server.'</server>';
			}
			$sendemails.= '</servers>';
		}
		
		if(is_array($_POST['pstatus'])){
			$sendemails.= '<packagestatus>';
			foreach($_POST['pstatus'] as $status){
				$sendemails.='<ps>'.(int)$status.'</ps>';
			}
			$sendemails.= '</packagestatus>';
		}
		
		$sendemails.= '</nixbill>';
		
		//$this->API($sendemails);
		$phq['xml'] = $sendemails;
		$phq['command'] = 'SendMultipleEmails';
		$phq['time'] = time() - 10;	
		QueueAPI($phq);
		header('Location: home.php');
	}
}
$go = new adminpage();
$go->Process();
?>