<?php
session_start();
require_once '../include/libs/admin.php';
class adminpage extends admin{
	public function __construct(){
		$permissions = array('PERMISSION_EXTEND_PACKAGE_RENEW_DATE');
		parent::__construct($permissions);
	}
	public function Process(){
		if(isset($_POST['submit'])){
			$packageid = CleanInput($_REQUEST['packageid'], 'numeric');
			$cycleid = CleanInput($_REQUEST['cycle'], 'numeric');
			$update = '<nixbill>
    <command>ExtendPackageRenewDate</command> 
<minute>'.CleanInput($_POST['Time_Minute'], 'numeric').'</minute>
<hour>'.CleanInput($_POST['Time_Hour'], 'numeric').'</hour>
<day>'.CleanInput($_POST['Date_Day'], 'numeric').'</day>
<month>'.CleanInput($_POST['Date_Month'], 'numeric').'</month>
<year>'.CleanInput($_POST['Date_Year'], 'numeric').'</year>
<packageid>'.$packageid.'</packageid>
</nixbill>';
			$this->API($update);
			header('Location: edit_package.php?packageid='.$packageid);
		}
		$packagedetails = $this->GetPackageDetailsById(CleanInput($_GET['packageid'], 'numeric'));
		$clientdetails = $this->GetClientDetailsById($packagedetails['clientid']);
		
		if(!is_numeric($packagedetails['id'])){
			$this->AddError('Package Id not found');
		}
		
		/**
		*	This function just converts alot of the data to be more user friendly
		*/
		$packagedetails = $this->PrettyPackageDetails($packagedetails);
		$this->AddTemplateVar('renewdate', $packagedetails['renewdate']);
		$this->AddTemplateVar('client', $clientdetails);					
		$this->AddTemplateVar('packages', $packagedetails);
		$this->Display('extend_package_renew_date.tpl');
	}
}
$go = new adminpage();
$go->Process();
?>