<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_REPORTS' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		//$this->Display('reports.tpl');
		$month =  ShowMeThisMonth();
		$year =  ShowMeThisYear();
		$this->AddTemplateVar('month', $month);
		$this->AddTemplateVar('year', $year);
		$this->Display('monthlyreport.tpl');
	}
}
$go = new adminpage ( );
$go->Process ();
function ShowMeThisYear(){
	for($t=1;$t<13;$t++){
		$starttime[] = mktime(0, 0, 0, $t, 1,   date("Y"));
		$endtime[] = mktime(0, 0, 0, $t+1, 1,   date("Y"));
	}
	
	foreach($starttime as $k => $time){
		//echo date("F j, Y, g:i a",$time).' - '.date("F j, Y, g:i a",$endtime[$k]).'<hr>';
		$q = "SELECT id FROM clients WHERE created > '".$time."' AND created < '".$endtime[$k]."'<br>";
		//echo $q;
		$amounts[] = db::GetNumRows("SELECT id FROM clients WHERE created > '".$time."' AND created < '".$endtime[$k]."'");
	}
	$g = new LineGraph();
$g->SetAmounts($amounts);
$g->SetBars('year');
$g->SetBarColor('random');
return $g->CreateLineGraph (  );
}
function ShowMeThisMonth(){
	for($t=1;$t<date('t')+1;$t++){
		$starttime[] = mktime(0, 0, 0, date("m"), $t,   date("Y"));
		$endtime[] = mktime(0, 0, 0, date("m"), $t+1,   date("Y"));
	}
	foreach($starttime as $k => $time){
		//echo date("F j, Y, g:i a",$time).' - '.date("F j, Y, g:i a",$endtime[$k]).'<hr>';
		$q = "SELECT id FROM clients WHERE created > '".$time."' AND created < '".$endtime[$k]."'<br>";
		//echo $q;
		$amounts[] = db::GetNumRows("SELECT id FROM clients WHERE created > '".$time."' AND created < '".$endtime[$k]."'");
	}
	$g = new LineGraph();
$g->SetAmounts($amounts);
$g->SetBars('month');
$g->SetBarColor('random');
return $g->CreateLineGraph (  );
}
class LineGraph {
	private $bars = 0;
	private $amounts = array();
	private $barcolor = '#33CCCC';
	public function SetBars($bars){
		if(is_numeric($bars)){
			$this->bars = $bars;
		}elseif ($bars == 'month'){
			$this->bars = date('t');
		}elseif($bars == 'year'){
			$this->bars = 12;
		}elseif($bars == 'day'){
			$this->bars = 24;
		}
	}
	public function SetAmounts($amounts){
		$this->amounts = $amounts;
	}
	public function SetBarColor($barcolor){
		$this->barcolor = $barcolor;
	}
	private function GetBarColor(){
		if($this->barcolor=='random'){
			return $this->GenerateColor();
		}else{
			return $this->barcolor;
		}
	}
	public function CreateLineGraph() {
		for($d = 0; $d < $this->bars; $d ++) {
			$bar = ($this->amounts [$d]>0)?'<div style=" border-bottom:solid 1px;line-height:' . $this->amounts [$d]*10 . 'px; background-color:'.$this->GetBarColor().'; width:14px; font-size:1px;">&nbsp;</div>':'<div style=" border-bottom:solid 1px;"></div>';
			$tables .= '<td valign="bottom"><div style="font-size:10px; width:10px;">' . $this->amounts [$d] . '</div>'.$bar.'</td>
    <td valign="bottom"><div style="width:8px; border-bottom:solid 1px;">&nbsp;</div></td>';
			$day = $d + 1;
			$labels .= '<td valign="bottom"><div style="font-size:10px;">' . $day . '</div></td>
    <td valign="bottom"><div style="width:8px; ">&nbsp;</div></td>';
		}
		$html = '
<table width="5" border="0" cellspacing="0" cellpadding="0">
  <tr>
  
    ';
		$html .= $tables;
		$html .= '
  </tr>
  <tr>
    ';
		$html .= $labels;
		$html .= '
	
  </tr>
</table>
';
		return $html;
	}
	private function GenerateColor(){
		$color = array(0,1,2,3,4,5,6,7,8,9,'A','B','C','D','F');
		for($a=0;$a<6;$a++){
			$colorcode.=$color[rand(0,14)];
		}
		$colorcode = '#'.$colorcode;
		return $colorcode;
	}
}
?>