<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_PRODUCT_ADD_MODULE' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		$serverid = CleanInput ( $_REQUEST ['serverid'], 'numeric' );
		$productid = CleanInput ( $_REQUEST ['productid'], 'numeric' );
		$servertype = getservertype ( $serverid );
		$producttype = getProductTypeById ( $productid );
		switch ( $producttype) {
			case 1 :
				require_once path ( 'hostingmodules/' . $servertype . '.php' );
				$classname = $servertype;
				$module = new $classname ( );
				$module->serverid = CleanInput($_POST ['serverid'],'numeric');
				$options = $module->ProductOptions ();
			break;
			case 4 :
				require_once path ( 'hostingmodules/' . $servertype . '.php' );
				$classname = $servertype;
				$module = new $classname ( );
				$module->serverid = CleanInput($_POST ['serverid'],'numeric');
				$options = $module->ProductOptions ();
			break;
			case 2 :
				require_once path ( 'tldmodules/' . $servertype . '.php' );
				$classname = $servertype;
				$module = new $classname ( );
				$module->serverid = CleanInput($_POST ['serverid'],'numeric');
				$options = $module->TldOptions ();
				$this->AddTemplateVar ( 'recurring', '1' );
			break;
		}
		
		$this->AddTemplateVar ( 'options', $options );
		$this->AddTemplateVar ( 'server', server_name ( $serverid ) );
		$this->AddTemplateVar ( 'serverid', $serverid );
		$this->AddTemplateVar ( 'productid', $productid );
		$this->Display ( 'product_add_module_2.tpl' );
	}
}
$go = new adminpage ( );
$go->Process ();
?>