<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_PRODUCT_ADDONS' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		$productid = CleanInput ( $_REQUEST ['productid'], 'numeric' );
		if (! empty ( $_POST ['submit'] )) {
			db::Query ( "DELETE FROM productaddonrel WHERE productid = '" . $productid . "'" );
			if (is_array ( $_POST ['addons'] )) {
				foreach ( $_POST ['addons'] as $ev ) {
					$order ++;
					db::Query ( "INSERT INTO productaddonrel (`productid`, `groupid`, `order`)VALUES('" . $productid . "', '" . CleanInput ( $ev, 'text' ) . "', '" . $order . "')" );
				}
			}
		}
		$addons = GetProductAddonGroups ();
		if (is_array ( $addons )) {
			foreach ( $addons as $addon ) {
				$aq = "SELECT * FROM productaddonrel WHERE productid = '" . $productid . "' AND groupid = '" . $addon ['groupid'] . "' LIMIT 1";
				$addonstatus = db::GetNumRows ( $aq );
				$addonorder = db::GetOneRow ( $aq );
				if ($addonstatus == 1) {
					$attachedaddons [$addonorder ['order']] = array ('name' => $addon ['name'], 'id' => $addon ['groupid'], 'order' => $addonorder ['order'] );
				} else {
					$detachedaddons [] = array ('name' => $addon ['name'], 'id' => $addon ['groupid'] );
				}
			}
		}
		if (is_array ( $attachedaddons )) {
			ksort ( $attachedaddons );
		}
		$this->AddTemplateVar ( 'attachedaddons', $attachedaddons );
		$this->AddTemplateVar ( 'detachedaddons', $detachedaddons );
		$this->AddTemplateVar ( 'productid', $productid );
		
		$producttype = getProductTypeById ( $productid );
		$submenu = array ('product_prices.php?id=' . $productid => 'LANG_PRICING', 'product_modules.php?productid=' . $productid => 'LANG_MODULES' );
		if ($producttype != 4) {
			$submenu ['product_addons.php?productid=' . $productid] = 'LANG_ADDONS';
			$submenu ['product_emails.php?productid=' . $productid] = 'LANG_EMAILS';
		}
		$this->AddTemplateVar ( 'submenu', $submenu );
		$this->Display ( 'product_addons.tpl' );
	}
}
$go = new adminpage ( );
$go->Process ();
?>