<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_LIST_PRODUCTS' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		$type = CleanInput($_REQUEST['type'],'numeric');
		if (empty ( $type )) {
			$type = 'a';
		}
		$products = GetProductListByTypeShow ( $type );
		$type_display = array (LANG_SHOW_ALL, LANG_TYPE_HOSTING, LANG_TYPE_DOMAIN, LANG_TYPE_DOMAIN_TRANSFER, LANG_TYPE_GENERIC, LANG_TYPE_ADDON, LANG_TYPE_SERVER );
		$type_value = array ('a', 1, 2, 6, 3, 4, 5 );
		$this->AddTemplateVar ( 'selected', $type );
		$this->AddTemplateVar ( 'type_display', $type_display );
		$this->AddTemplateVar ( 'type_value', $type_value );
		$this->AddTemplateVar ( 'products', $products );
		
		$submenu = array ('add_product.php' => 'LANG_ADD_NEW_PRODUCT', 'product_groups.php' => 'LANG_PRODUCT_GROUPS', 'product_addon_groups.php' => 'LANG_PRODUCT_ADDON_GROUPS' );
		$this->AddTemplateVar ( 'submenu', $submenu );
		$this->Display ( 'products.tpl' );
	}
}
$go = new adminpage ( );
$go->Process ();
?>