<?php
session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_SHOW_ADMIN_LOG' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		if(empty($_GET['adminid'])){
			error('No Admin Id');		
		}
		$adminid = CleanInput($_GET['adminid'], 'numeric');
		$thismorning = mktime(0, 0, 0, date("m")  , date("d"), date("Y")); 
		//echo date("m.d.y, g:i a", $thismorning);
		$logs = db::GetAllRows("SELECT * FROM adminlogging WHERE adminid = '".$adminid."' AND time > '".$thismorning."' ORDER BY time DESC");
		//print_r($logs);
		foreach($logs as $k => $log){
			$logs[$k]['time'] = date("m.d.y, g:i a", $log['time']);
			$logs[$k]['idletime'] = number_format($log['idletime']/60,2).' Mins';
			if($log['idletime']/60 >60){
				$logs[$k]['idletime'] = number_format(($log['idletime']/60)/60,2).' Hours';
			}
			
		}
		
		$this->AddTemplateVar('logs', $logs);
		$this->Display ( 'view_admin_logs.tpl' );
	}
}
$go = new adminpage ( );
$go->Process ();
?>