<?php

session_start ();
require_once '../include/libs/admin.php';
class adminpage extends admin {
	public function __construct() {
		$permissions = array ('PERMISSION_CLIENT_VIRTUAL_TERMINAL' );
		parent::__construct ( $permissions );
	}
	public function Process() {
		$clientid = (int)$_REQUEST ['clientid'];
		$clientdata = $this->GetClientDetailsById ( $clientid );
		$this->AddTemplateVar ( 'client', $clientdata );
		$this->AddTemplateVar ( 'clientid', $clientid );
		if (isset ( $_POST ['submit'] )) {
			if (empty ( $_REQUEST ['billingaccountid'] )) {
				$VirtualTerminal = '
<nixbill>
	<command>VirtualTerminal</command>
	<vt>
		<clientid>' . $clientid . '</clientid>
		<PAYMENTGROUPID>' . CleanInput ( $_REQUEST ['paymentgroupid'], 'numeric' ) . '</PAYMENTGROUPID>
		<nameoncard>' . CleanInput ( $_REQUEST ['nameoncard'], 'text' ) . '</nameoncard>
		<cardnumber>' . CleanInput ( $_REQUEST ['cardnumber'], 'numeric' ) . '</cardnumber>
		<expiration>' . CleanInput ( $_POST ['ExpMonth'], 'numeric' ) . substr ( CleanInput ( $_POST ['ExpYear'], 'numeric' ), 2, 2 ) . '</expiration>
		<address>' . CleanInput ( $_REQUEST ['address'], 'text' ) . '</address>
		<city>' . CleanInput ( $_REQUEST ['city'], 'text' ) . '</city>
		<state>' . CleanInput ( $_REQUEST ['state'], 'text' ) . '</state>
		<zipcode>' . CleanInput ( $_REQUEST ['zipcode'], 'numeric' ) . '</zipcode>
		<country>' . CleanInput ( $_REQUEST ['country'], 'text' ) . '</country>
		<cvv2>' . CleanInput ( $_REQUEST ['cvv2'], 'numeric' ) . '</cvv2>
		<total>' . CleanInput ( $_REQUEST ['total'], 'number' ) . '</total>
	</vt>
</nixbill>';
			} else {
				$VirtualTerminal = '
<nixbill>
	<command>VirtualTerminal</command>
	<vt>
		<clientid>' . $clientid . '</clientid>
		<PAYMENTGROUPID>' . (int)$_REQUEST ['paymentgroupid'] . '</PAYMENTGROUPID>
		<billingaccountid>' . (int)$_REQUEST ['billingaccountid'] . '</billingaccountid>
		<total>' . CleanInput ( $_REQUEST ['total'], 'number' ) . '</total>
		<privatekey>' . CleanInput ( $_REQUEST ['privatekey'], 'text' ) . '</privatekey>
	</vt>
</nixbill>';
			}
			
			$result = $this->API ( $VirtualTerminal );
			$status = $result['NIXBILL'][0]['RESULT'][0]['PROCESSPAYMENT'][0]['TRANSACTIONINFO'][0]['ATTRIBUTES']['STATUS'];
			switch($status){
				case '0';
					$s = 'Declined';
				break;
				case '1':
					$s = 'Approved';
				break;
				default:
					$s = 'Error';
			}
			$this->AddTemplateVar('transactionid', $result['NIXBILL'][0]['RESULT'][0]['PROCESSPAYMENT'][0]['TRANSACTIONINFO'][0]['ATTRIBUTES']['TRANSID']);
			$this->AddTemplateVar('authcode', $result['NIXBILL'][0]['RESULT'][0]['PROCESSPAYMENT'][0]['TRANSACTIONINFO'][0]['ATTRIBUTES']['AUTHCODE']);
			$this->AddTemplateVar('message', $result['NIXBILL'][0]['RESULT'][0]['PROCESSPAYMENT'][0]['TRANSACTIONINFO'][0]['ATTRIBUTES']['MESSAGE']);
			$this->AddTemplateVar('cvv2', $result['NIXBILL'][0]['RESULT'][0]['PROCESSPAYMENT'][0]['TRANSACTIONINFO'][0]['ATTRIBUTES']['CVV2']);
			$this->AddTemplateVar('status', $s);
			$this->Display ( 'vt_result.tpl' );
			
			exit ();
		
		}
		$billingaccounts = db::GetAllRows("SELECT * FROM billingaccounts WHERE clientid = '$clientid' AND status = '1'");
		$this->AddTemplateVar ( 'billingaccounts', $billingaccounts );
		$hm = db::GetAllRows ( "SELECT * FROM paymentmodules" );
		$this->AddTemplateVar ( 'payment_modules', $hm );
		$this->Display ( 'vt.tpl' );
	}
}

$go = new adminpage ( );
$go->Process ();
?>
