<?php
session_start ();
require_once '../include/libs/client.php';
require_once path ( 'include/libs/formatproducts.php' );
class add_package extends client {
	public function __construct() {
		parent::__construct ();
	
	}
	public function Process() {
		$clientdata = $this->GetClientDetailsById ( $this->ClientId );
		$this->AddTemplateVar ( 'client', $clientdata );
		setlocale ( LC_MONETARY, 'en_US' );
		/*$orderformxml = '<nixbill>
			<command>GetOrderForm</command> 
			<orderformid>' . CleanInput ( $_POST ['orderformid'], 'numeric' ) . '</orderformid>
			</nixbill>';
		$orderformdetails = $this->API ( $orderformxml );*/
		if (preg_match ( '/^baid/', $_POST ['paymenttype'] )) {
			$baid = explode ( '_', $_REQUEST ['paymenttype'] );
			$billingaccountid = $baid [1];
			$paymenttype = 1;
		} else {
			$paymenttype = CleanInput ( $_POST ['paymenttype'], 'numeric' );
		}
		$processorder = '<nixbill> 
	<command>CreateOrder</command> 
	<paymenttype>' . $paymenttype . '</paymenttype>
	<paymentfunction>sale</paymentfunction>
	<orderform>' . CleanInput ( $_POST ['orderformid'], 'numeric' ) . '</orderform>
	<clientdetails>
		<clientid>' . $this->ClientId . '</clientid>
		<username>' . $clientdata ['email'] . '</username>
		<password>' . $clientdata ['password'] . '</password>
		<billingaccountid>' . $billingaccountid . '</billingaccountid>
		<decrypted></decrypted>
		<status>0</status>
	</clientdetails>';
		
		$processorder .= '	<domaindetails>
		<firstname>' . CleanInput ( $_POST ['Rfname'], 'text' ) . '</firstname>
		<lastname>' . CleanInput ( $_POST ['Rlname'], 'text' ) . '</lastname>
		<email1>' . CleanInput ( $_POST ['Remail1'], 'text' ) . '</email1>
		<address1>' . CleanInput ( $_POST ['Raddress1'], 'text' ) . '</address1>
		<address2>' . CleanInput ( $_POST ['Raddress2'], 'text' ) . '</address2>
		<city>' . CleanInput ( $_POST ['Rcity'], 'text' ) . '</city>
		<state>' . CleanInput ( $_POST ['Rstate'], 'text' ) . '</state>
		<zipcode>' . CleanInput ( $_POST ['Rzipcode'], 'text' ) . '</zipcode>
		<country>' . CleanInput ( $_POST ['Rcountry'], 'text' ) . '</country>
		<phone1>' . CleanInput ( $_POST ['Rphone1'], 'numeric' ) . '</phone1>
		<company>' . CleanInput ( $_POST ['Rcompany'], 'text' ) . '</company>
		<org>' . CleanInput ( $_POST ['Rorg'], 'text' ) . '</org>
		<us_nexus>' . CleanInput ( $_POST ['us_nexus'], 'text' ) . '</us_nexus>
		<us_purpose>' . CleanInput ( $_POST ['us_purpose'], 'text' ) . '</us_purpose>
		<uk_legal_type>' . CleanInput ( $_POST ['uk_legal_type'], 'text' ) . '</uk_legal_type>
		<registered_for>' . CleanInput ( $_POST ['registered_for'], 'text' ) . '</registered_for>
	</domaindetails>
	';
		
		$productprices = '<nixbill>
	<command>GetProductPrices</command> 
	<productid>' . CleanInput ( $_POST ['productid'], 'numeric' ) . '</productid>
	<cycleid>' . CleanInput ( $_POST ['cycleid'], 'numeric' ) . '</cycleid>
</nixbill>';
		$MainProductPrice = $this->API ( $productprices );
		
		if (! is_numeric ( $MainProductPrice ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['ID'] ) || ! is_numeric ( $MainProductPrice ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['CYCLEID'] ) || ! is_numeric ( $MainProductPrice ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['PRICE'] ) || ! is_numeric ( $MainProductPrice ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['SETUP'] )) {
			/// display error template then exit
			//die('no product information found');
			error ( 'no product information found' );
		}
		$processorder .= '	<orderdetails>
		<productid>' . $MainProductPrice ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['ID'] . '</productid>
		<cycleid>' . $MainProductPrice ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['CYCLEID'] . '</cycleid>
		<price>' . $MainProductPrice ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['PRICE'] . '</price>
		<setup>' . $MainProductPrice ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['SETUP'] . '</setup>';
		if (! empty ( $_POST ['owneddomainsld'] )) {
			$processorder .= '		<domainsld>' . $_POST ['owneddomainsld'] . '</domainsld>
			<domaintld>' . $_POST ['owneddomaintld'] . '</domaintld>
			<domain>' . CleanInput ( $_POST ['odomain'], 'text' ) . '</domain>';
		} else {
			if (! empty ( $_POST ['primarydomain'] )) {
				$primaryDomain = SplitDomain ( $_POST ['primarydomain'] );
				$processorder .= '		<domainsld>' . $primaryDomain ['sld'] . '</domainsld>
			<domaintld>' . $primaryDomain ['tld'] . '</domaintld>';
			}
		}
		$processorder .= '		<couponcode>' . CleanInput ( $_POST ['couponcode'], 'text' ) . '</couponcode>';
		$processorder .= '	</orderdetails>';
		if (is_array ( $_POST ['addon'] )) {
			foreach ( $_POST ['addon'] as $ak => $av ) {
				if (is_numeric ( $av )) {
					$productprices = '<nixbill>
				<command>GetProductPrices</command> 
				<productid>' . $ak . '</productid>
				<cycleid>' . $av . '</cycleid>
			</nixbill>';
					$ExtraProductPrices = $this->API ( $productprices );
					if (! is_numeric ( $ExtraProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['ID'] ) || ! is_numeric ( $ExtraProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['CYCLEID'] ) || ! is_numeric ( $ExtraProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['PRICE'] ) || ! is_numeric ( $ExtraProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['SETUP'] )) {
						/// display error template then exit
						error ( 'no product information found' );
					}
					$processorder .= '	<orderdetails>
					<productid>' . $ExtraProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['ID'] . '</productid>
					<cycleid>' . $ExtraProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['CYCLEID'] . '</cycleid>
					<price>' . $ExtraProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['PRICE'] . '</price>
					<setup>' . $ExtraProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['SETUP'] . '</setup>
					<couponcode>' . CleanInput ( $_POST ['couponcode'], 'text' ) . '</couponcode>
				</orderdetails>';
				}
			}
		}
		/*if (CleanInput ( $_POST ['cycleid'], 'numeric' ) > 5) {
	$freedomain = true;
}*/
		$freedomain = false;
		if (is_array ( $_POST ['domain'] ) && empty ( $_POST ['owneddomainsld'] )) {
			foreach ( $_POST ['domain'] as $name => $cycle ) {
				$domainSplit = SplitDomain ( $name );
				$tlddetails = "<nixbill>
									<command>GetTLDDetails</command> 
									<tld orderformid='" . $_POST ['orderformid'] . "' tld='" . $domainSplit ['tld'] . "'></tld>
								</nixbill>";
				$TLDresult = $this->API ( $tlddetails );
				if (is_numeric ( $cycle )) {
					$productprices = '<nixbill>
				<command>GetProductPrices</command> 
				<productid>' . $TLDresult ['NIXBILL'] [0] ['RESULT'] [0] ['TLD'] [0] ['PRODUCTDETAILS'] [0] ['ATTRIBUTES'] ['ID'] . '</productid>
				<cycleid>' . $cycle . '</cycleid>
			</nixbill>';
					$DomainProductPrices = $this->API ( $productprices );
					if (! is_numeric ( $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['ID'] ) || ! is_numeric ( $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['CYCLEID'] ) || ! is_numeric ( $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['PRICE'] ) || ! is_numeric ( $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['SETUP'] )) {
						/// display error template then exit
						error ( 'no product information found' );
					}
					if ($freedomain) {
						$DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['PRICE'] = 0;
						$freedomain = false;
					}
					$processorder .= '	<orderdetails>
					<productid>' . $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['ID'] . '</productid>
					<cycleid>' . $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['CYCLEID'] . '</cycleid>
					<price>' . $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['PRICE'] . '</price>
					<setup>' . $DomainProductPrices ['NIXBILL'] [0] ['RESULT'] [0] ['PRODUCT'] [0] ['ATTRIBUTES'] ['SETUP'] . '</setup>
					<couponcode>' . CleanInput ( $_POST ['couponcode'], 'text' ) . '</couponcode>
					<domainsld>' . $domainSplit ['sld'] . '</domainsld>
					<domaintld>' . $domainSplit ['tld'] . '</domaintld>
				</orderdetails>';
				}
			}
		}
		$processorder .= '</nixbill>';
		
		$result = $this->API ( $processorder );
		
		$clientid = $this->ClientId;
		$invoiceid = $result ['NIXBILL'] [0] ['RESULT'] [0] ['INVOICE'] [0] [INVOICEID] [0] [VALUE];
		$total = $result ['NIXBILL'] [0] ['RESULT'] [0] ['INVOICE'] [0] [TOTAL] [0] [VALUE];
		$setup = $result ['NIXBILL'] [0] ['RESULT'] [0] ['INVOICE'] [0] [SETUP] [0] [VALUE];
		$tax = $result ['NIXBILL'] [0] ['RESULT'] [0] ['INVOICE'] [0] [TAX] [0] [VALUE];
		$subtotal = $result ['NIXBILL'] [0] ['RESULT'] [0] ['INVOICE'] [0] [SUBTOTAL] [0] [VALUE];
		$grandtotal = $result ['NIXBILL'] [0] ['RESULT'] [0] ['INVOICE'] [0] [GRANDTOTAL] [0] [VALUE];
		$paymenttype = $result ['NIXBILL'] [0] ['RESULT'] [0] ['PROCESSPAYMENT'] [0] [PAYMENTTYPE] [0] [VALUE];
		
		$this->AddTemplateVar ( 'clientid', $clientid );
		$this->AddTemplateVar ( 'invoiceid', $invoiceid );
		$this->AddTemplateVar ( 'total', $total );
		$this->AddTemplateVar ( 'setup', $setup );
		$this->AddTemplateVar ( 'tax', $tax );
		$this->AddTemplateVar ( 'subtotal', $subtotal );
		$this->AddTemplateVar ( 'grandtotal', $grandtotal );
		$this->AddTemplateVar ( 'paymenttype', $paymenttype );
		
		switch ( $paymenttype) {
			case 1 :
				$billingaccountid = $result ['NIXBILL'] [0] ['RESULT'] [0] ['PROCESSPAYMENT'] [0] ['TRANSACTIONINFO'] [0] ['ATTRIBUTES'] ['BILLINGACCOUNTID'];
				$transactionid = $result ['NIXBILL'] [0] ['RESULT'] [0] ['PROCESSPAYMENT'] [0] ['TRANSACTIONINFO'] [0] ['ATTRIBUTES'] ['TRANSID'];
				$transactionstatus = $result ['NIXBILL'] [0] ['RESULT'] [0] ['PROCESSPAYMENT'] [0] ['TRANSACTIONINFO'] [0] ['ATTRIBUTES'] ['STATUS'];
				$avs = $result ['NIXBILL'] [0] ['RESULT'] [0] ['PROCESSPAYMENT'] [0] ['TRANSACTIONINFO'] [0] ['ATTRIBUTES'] ['AVS'];
				$cvv2 = $result ['NIXBILL'] [0] ['RESULT'] [0] ['PROCESSPAYMENT'] [0] ['TRANSACTIONINFO'] [0] ['ATTRIBUTES'] ['CVV2'];
				$authcode = $result ['NIXBILL'] [0] ['RESULT'] [0] ['PROCESSPAYMENT'] [0] ['TRANSACTIONINFO'] [0] ['ATTRIBUTES'] ['AUTHCODE'];
				$message = $result ['NIXBILL'] [0] ['RESULT'] [0] ['PROCESSPAYMENT'] [0] ['TRANSACTIONINFO'] [0] ['ATTRIBUTES'] ['MESSAGE'];
				$rebid = $result ['NIXBILL'] [0] ['RESULT'] [0] ['PROCESSPAYMENT'] [0] ['TRANSACTIONINFO'] [0] ['ATTRIBUTES'] ['REBID'];
				$this->AddTemplateVar ( 'billingaccountid', $billingaccountid );
				$this->AddTemplateVar ( 'transactionid', $transactionid );
				$this->AddTemplateVar ( 'transactionstatus', $transactionstatus );
				$this->AddTemplateVar ( 'avs', $avs );
				$this->AddTemplateVar ( 'cvv2', $cvv2 );
				$this->AddTemplateVar ( 'authcode', $authcode );
				$this->AddTemplateVar ( 'message', $message );
				$this->AddTemplateVar ( 'rebid', $rebid );
				$template = 'client_add_package_step3.tpl';
			break;
			case 2 :
				$paypallinks = $result ['NIXBILL'] [0] ['RESULT'] [0] ['PROCESSPAYMENT'] [0] ['PAYPALLINKS'] [0] ['PAYPALLINK'];
				foreach ( $paypallinks as $link ) {
					$paypaldecodedlinks [] = base64_decode ( $link ['VALUE'] );
				}
				$this->AddTemplateVar ( 'paypallinks', $paypaldecodedlinks );
				$template = 'client_newpackage_paypal.tpl';
			break;
			case 3 :
				$template = 'client_add_package_step3.tpl';
			break;
		}
		
		if (empty ( $template )) {
			$template = 'client_add_package_step3.tpl';
		}
		
		$this->Display ( $template );
		
	}
}
$go = new add_package ( );
$go->Process ();
exit ();

?>